<?php

define("JIEQI_MODULE_NAME", "article");
require_once ("../../../global.php");
jieqi_getconfigs(JIEQI_MODULE_NAME, "power");
jieqi_checkpower($jieqiPower["article"]["setwriter"], $jieqiUsersStatus, $jieqiUsersGroup, false, true);
jieqi_loadlang("apply", JIEQI_MODULE_NAME);
jieqi_getconfigs(JIEQI_MODULE_NAME, "configs");
jieqi_getconfigs("article", "option", "jieqiOption");
include_once ($jieqiModules["article"]["path"] . "/class/apply.php");
$apply_handler = &JieqiApplyHandler::getInstance("JieqiApplyHandler");
if (isset($_REQUEST["action"]) && !empty($_REQUEST["id"])) {
	$apply = $apply_handler->get($_REQUEST["id"]);

	if (!is_object($apply)) {
		jieqi_printfail($jieqiLang["article"]["apply_not_exists"]);
	}

	switch ($_REQUEST["action"]) {
	case "delete":
		$apply_handler->delete($_REQUEST["id"]);
		break;
	}

	unset($criteria);
}
else {
	if (isset($_REQUEST["action"]) && ($_REQUEST["action"] == "batchdel") && is_array($_REQUEST["applyid"]) && (0 < count($_REQUEST["applyid"]))) {
		$where = "";

		foreach ($_REQUEST["applyid"] as $v ) {
			if (is_numeric($v)) {
				$v = intval($v);

				if (!empty($where)) {
					$where .= ", ";
				}

				$where .= $v;
			}
		}

		if (!empty($where)) {
			$sql = "DELETE FROM " . jieqi_dbprefix("article_apply") . " WHERE applyid IN (" . $where . ")";
			$apply_handler->execute($sql);
		}
	}
}

$jieqiTset["jieqi_contents_template"] = $jieqiModules["article"]["path"] . "/templates/admin/apply.html";
include_once (JIEQI_ROOT_PATH . "/admin/header.php");
$jieqiPset = jieqi_get_pageset();
$criteria = new CriteriaCompo();

switch ($_REQUEST["type"]) {
case "1":
	$criteria->add(new Criteria("type", 1));
	break;

case "2":
	$criteria->add(new Criteria("type", 2));
	break;

case "3":
	$criteria->add(new Criteria("type", 3));
	break;

case "4":
	$criteria->add(new Criteria("type", 4));
	break;

case "5":
	$criteria->add(new Criteria("type", 5));
	break;

case "6":
	$criteria->add(new Criteria("type", 6));
	break;
}

$criteria->setSort("id");
$criteria->setOrder("DESC");
$criteria->setLimit($jieqiPset["rows"]);
$criteria->setStart($jieqiPset["start"]);
$apply_handler->queryObjects($criteria);
$applyrows = array();
$k = 0;

while ($v = $apply_handler->getObject()) {
	$applyrows[$k] = jieqi_query_rowvars($v);
	$applyrows[$k]["types"] = $jieqiOption["article"]["apply"]["items"][$v->getVar("type")];
	$k++;
}

$jieqiTpl->assign_by_ref("applyrows", $applyrows);
$jieqiTpl->assign("url_jump", jieqi_addurlvars(array()));
include_once (JIEQI_ROOT_PATH . "/lib/html/page.php");
$jieqiPset["count"] = $apply_handler->getCount($criteria);
$jumppage = new JieqiPage($jieqiPset);
$pagelink = "";

if (!empty($_REQUEST["type"])) {
	if (empty($pagelink)) {
		$pagelink .= "?";
	}
	else {
		$pagelink .= "&";
	}

	$pagelink .= "type=" . urlencode($_REQUEST["type"]);
}

if (empty($pagelink)) {
	$pagelink .= "?page=";
}
else {
	$pagelink .= "&page=";
}

$jumppage->setlink($jieqiModules["article"]["url"] . "/admin/apply.php" . $pagelink, false, true);
$jieqiTpl->assign("url_jumppage", $jumppage->whole_bar());
$jieqiTpl->setCaching(0);
include_once (JIEQI_ROOT_PATH . "/admin/footer.php");

?>
