<?php

define("JIEQI_MODULE_NAME", "article");
require_once ("../../../global.php");

if (empty($_REQUEST["id"])) {
	jieqi_printfail(LANG_ERROR_PARAMETER);
}

$_REQUEST["id"] = intval($_REQUEST["id"]);
jieqi_getconfigs(JIEQI_MODULE_NAME, "power");
jieqi_checkpower($jieqiPower["article"]["manageallarticle"], $jieqiUsersStatus, $jieqiUsersGroup, false, true);
jieqi_loadlang("draft", JIEQI_MODULE_NAME);
jieqi_getconfigs(JIEQI_MODULE_NAME, "configs");
$article_static_url = (empty($jieqiConfigs["article"]["staticurl"]) ? $jieqiModules["article"]["url"] : $jieqiConfigs["article"]["staticurl"]);
$article_dynamic_url = (empty($jieqiConfigs["article"]["dynamicurl"]) ? $jieqiModules["article"]["url"] : $jieqiConfigs["article"]["dynamicurl"]);
include_once ($jieqiModules["article"]["path"] . "/class/draft.php");
$draft_handler = &JieqiDraftHandler::getInstance("JieqiDraftHandler");
$draft = $draft_handler->get($_REQUEST["id"]);

if (!$draft) {
	jieqi_printfail($jieqiLang["article"]["draft_not_exists"]);
}

$jieqiTset["jieqi_contents_template"] = $jieqiModules["article"]["path"] . "/templates/admin/draftshow.html";
include_once (JIEQI_ROOT_PATH . "/admin/header.php");
$draftvals = $draft->getVars("s");
$jieqiTpl->assign_by_ref("draftvals", $draftvals);
$jieqiTpl->setCaching(0);
include_once (JIEQI_ROOT_PATH . "/admin/footer.php");

?>
