<?php

define("JIEQI_MODULE_NAME", "article");
require_once ("../../../global.php");
if ((empty($_REQUEST['id']) || !is_numeric($_REQUEST['id'])) && empty($_REQUEST['acode'])) {
	jieqi_printfail(LANG_ERROR_PARAMETER);
}
jieqi_getconfigs(JIEQI_MODULE_NAME, 'power');
jieqi_checkpower($jieqiPower['article']['manageallarticle'], $jieqiUsersStatus, $jieqiUsersGroup, false, true);
jieqi_checklogin();
jieqi_getconfigs(JIEQI_MODULE_NAME, "configs");
jieqi_getconfigs(JIEQI_MODULE_NAME, "option");
jieqi_loadlang('article', JIEQI_MODULE_NAME);
include_once $jieqiModules['article']['path'] . '/class/article.php';
include_once ($GLOBALS["jieqiModules"]["article"]["path"] . "/include/funarticle.php");
$article_handler = &JieqiArticleHandler::getInstance('JieqiArticleHandler');
$article = $article_handler->get($_REQUEST['id']);
$article_static_url = (empty($jieqiConfigs["article"]["staticurl"]) ? $jieqiModules["article"]["url"] : $jieqiConfigs["article"]["staticurl"]);
$article_dynamic_url = (empty($jieqiConfigs["article"]["dynamicurl"]) ? $jieqiModules["article"]["url"] : $jieqiConfigs["article"]["dynamicurl"]);
$jieqiTset["jieqi_contents_template"] = $jieqiModules["article"]["path"] . "/templates/admin/uprecord.html";
include_once (JIEQI_ROOT_PATH . "/admin/header.php");
$jieqiPset = jieqi_get_pageset();
$jieqiTpl->assign("article_static_url", $article_static_url);
$jieqiTpl->assign("article_dynamic_url", $article_dynamic_url);
if (!$article) {
		jieqi_printfail($jieqiLang['article']['article_not_exists']);
	}
$jieqiTpl->assign("articlename", $article->getVar('articlename', 'n'));
jieqi_includedb();
$query = JieqiQueryHandler::getInstance("JieqiQueryHandler");
$slimit = "articleid = " . intval($_REQUEST["id"]);

if (!empty($_REQUEST["month"])) {
	$start = strtotime(date('Y-m-01', strtotime("-$_REQUEST[month] month", JIEQI_NOW_TIME)));
    $end = strtotime(date('Y-m-t', strtotime("-$_REQUEST[month] month", JIEQI_NOW_TIME)));
	$slimit .= " AND lastupdate >= ".$start." AND lastupdate <= ".$end."";
}

$sql = "SELECT * FROM " . jieqi_dbprefix("article_chapter") . " WHERE $slimit ORDER BY lastupdate DESC LIMIT {$jieqiPset["start"]},{$jieqiPset["rows"]}";
$query->execute($sql);
$uprecordrows = array();
$k = 0;
while ($row = $query->getRow()) {
	$uprecordrows[$k] = jieqi_article_vars($row);
	$uprecordrows[$k]["size_n"] = $uprecordrows[$k]["size"];
	$uprecordrows[$k]["size"] = jieqi_sizeformat($uprecordrows[$k]["size_n"], "c");
	$k++;
}
$jieqiTpl->assign_by_ref("uprecordrows", $uprecordrows);
$jieqiTpl->assign("articleid", $_REQUEST['id']);
$jieqiTpl->assign("_request", jieqi_funtoarray("jieqi_htmlstr", $_REQUEST));
include_once (JIEQI_ROOT_PATH . "/lib/html/page.php");
$sql = "SELECT count(*) AS cot, sum(chapterid) as sumactnum FROM " . jieqi_dbprefix("article_chapter") . " WHERE $slimit";
$query->execute($sql);
$row = $query->getRow();
$jieqiTpl->assign("actlogstat", jieqi_funtoarray("jieqi_htmlstr", $row));
$jieqiPset["count"] = intval($row["cot"]);
$jumppage = new JieqiPage($jieqiPset);
$jieqiTpl->assign("url_jumppage", $jumppage->whole_bar());
$jieqiTpl->setCaching(0);
include_once (JIEQI_ROOT_PATH . "/admin/footer.php");

?>
