<?php

define("JIEQI_MODULE_NAME", "article");
require_once ("../../global.php");

if (empty($_REQUEST["id"])) {
	jieqi_printfail(LANG_ERROR_PARAMETER);
}

jieqi_checklogin();
jieqi_loadlang("gift", JIEQI_MODULE_NAME);
include_once ($jieqiModules["article"]["path"] . "/class/article.php");
$article_handler = &JieqiArticleHandler::getInstance("JieqiArticleHandler");
$article = $article_handler->get($_REQUEST["id"]);

if (!$article) {
	jieqi_printfail($jieqiLang["article"]["article_not_exists"]);
}

include_once (JIEQI_ROOT_PATH . "/class/users.php");
$users_handler = &JieqiUsersHandler::getInstance("JieqiUsersHandler");
$users = $users_handler->get($_SESSION["jieqiUserId"]);

if (!in_array($_REQUEST["type"], array("qian", "ben", "jiubei", "dangao", "zuanshi", "qiche"))) {
	jieqi_printfail($jieqiLang["article"]["gift_over_error"]);
}

$egoldnums = $users->vars["egold"]["value"];
jieqi_getconfigs("article", "configs", "jieqiConfigs");
$qianprice = intval($jieqiConfigs["article"]["qian"]);
$benprice = intval($jieqiConfigs["article"]["ben"]);
$jiubeiprice = intval($jieqiConfigs["article"]["jiubei"]);
$dangaoprice = intval($jieqiConfigs["article"]["dangao"]);
$zuanshiprice = intval($jieqiConfigs["article"]["zuanshi"]);
$qicheprice = intval($jieqiConfigs["article"]["qiche"]);
include_once (JIEQI_ROOT_PATH . "/include/funstat.php");
$addnum = intval($_REQUEST["num"]);
$userset = unserialize($users->getVar("setting", "n"));

if ($_GET["type"] == "qian") {
	$gfuname = "qian";
	$typeuname = "金币";
}
else if ($_GET["type"] == "ben") {
	$gfuname = "ben";
	$typeuname = "鲜花";
}
else if ($_GET["type"] == "jiubei") {
	$gfuname = "jiubei";
	$typeuname = "红酒";
}
else if ($_GET["type"] == "dangao") {
	$gfuname = "dangao";
	$typeuname = "蛋糕";
}
else if ($_GET["type"] == "zuanshi") {
	$gfuname = "zuanshi";
	$typeuname = "钻石";
}
else if ($_GET["type"] == "qiche") {
	$gfuname = "qiche";
	$typeuname = "汽车";
}

if ($_REQUEST["type"] == "qian") {
	$gift_type = "qian";
	$typename = "枚金币";
	$last = "lastqian";
	$allnums = "allqian";
	$monthnums = "monthqian";
	$weeknums = "weekqian";
	$daynums = "dayqian";
	$lasttime = $article->getVar("lastqian", "n");
	$addorup = jieqi_visit_addorup($lasttime);
	$day = ($addorup["day"] ? $addnum : $article->getVar("dayqian", "n") + $addnum);
	$week = ($addorup["week"] ? $addnum : $article->getVar("weekqian", "n") + $addnum);
	$month = ($addorup["month"] ? $addnum : $article->getVar("monthqian", "n") + $addnum);
	$all = $article->getVar("allqian", "n") + $addnum;

	if (0 < $qianprice) {
		$pricenums = intval(floor($egoldnums / $qianprice));
		$buynums = intval(floor($_REQUEST["num"] * $qianprice));
	}
}
else if ($_REQUEST["type"] == "ben") {
	$gift_type = "ben";
	$typename = "朵鲜花";
	$last = "lastben";
	$allnums = "allben";
	$monthnums = "monthben";
	$weeknums = "weekben";
	$daynums = "dayben";
	$lasttime = $article->getVar("lastben", "n");
	$addorup = jieqi_visit_addorup($lasttime);
	$day = ($addorup["day"] ? $addnum : $article->getVar("dayben", "n") + $addnum);
	$week = ($addorup["week"] ? $addnum : $article->getVar("weekben", "n") + $addnum);
	$month = ($addorup["month"] ? $addnum : $article->getVar("monthben", "n") + $addnum);
	$all = $article->getVar("allben", "n") + $addnum;

	if (0 < $benprice) {
		$pricenums = intval(floor($egoldnums / $benprice));
		$buynums = intval(floor($_REQUEST["num"] * $benprice));
	}
}
else if ($_REQUEST["type"] == "jiubei") {
	$gift_type = "jiubei";
	$typename = "瓶红酒";
	$last = "lastjiubei";
	$allnums = "alljiubei";
	$monthnums = "monthjiubei";
	$weeknums = "weekjiubei";
	$daynums = "dayjiubei";
	$lasttime = $article->getVar("lastjiubei", "n");
	$addorup = jieqi_visit_addorup($lasttime);
	$day = ($addorup["day"] ? $addnum : $article->getVar("dayjiubei", "n") + $addnum);
	$week = ($addorup["week"] ? $addnum : $article->getVar("weekjiubei", "n") + $addnum);
	$month = ($addorup["month"] ? $addnum : $article->getVar("monthjiubei", "n") + $addnum);
	$all = $article->getVar("alljiubei", "n") + $addnum;

	if (0 < $jiubeiprice) {
		$pricenums = intval(floor($egoldnums / $jiubeiprice));
		$buynums = intval(floor($_REQUEST["num"] * $jiubeiprice));
	}
}
else if ($_REQUEST["type"] == "dangao") {
	$gift_type = "dangao";
	$typename = "块蛋糕";
	$last = "lastdangao";
	$allnums = "alldangao";
	$monthnums = "monthdangao";
	$weeknums = "weekdangao";
	$daynums = "daydangao";
	$lasttime = $article->getVar("lastdangao", "n");
	$addorup = jieqi_visit_addorup($lasttime);
	$day = ($addorup["day"] ? $addnum : $article->getVar("daydangao", "n") + $addnum);
	$week = ($addorup["week"] ? $addnum : $article->getVar("weekdangao", "n") + $addnum);
	$month = ($addorup["month"] ? $addnum : $article->getVar("monthdangao", "n") + $addnum);
	$all = $article->getVar("alldangao", "n") + $addnum;

	if (0 < $dangaoprice) {
		$pricenums = intval(floor($egoldnums / $dangaoprice));
		$buynums = intval(floor($_REQUEST["num"] * $dangaoprice));
	}
}
else if ($_REQUEST["type"] == "zuanshi") {
	$gift_type = "zuanshi";
	$typename = "枚钻石";
	$last = "lastzuanshi";
	$allnums = "allzuanshi";
	$monthnums = "monthzuanshi";
	$weeknums = "weekzuanshi";
	$daynums = "dayzuanshi";
	$lasttime = $article->getVar("lastzuanshi", "n");
	$addorup = jieqi_visit_addorup($lasttime);
	$day = ($addorup["day"] ? $addnum : $article->getVar("dayzuanshi", "n") + $addnum);
	$week = ($addorup["week"] ? $addnum : $article->getVar("weekzuanshi", "n") + $addnum);
	$month = ($addorup["month"] ? $addnum : $article->getVar("monthzuanshi", "n") + $addnum);
	$all = $article->getVar("allzuanshi", "n") + $addnum;

	if (0 < $zuanshiprice) {
		$pricenums = intval(floor($egoldnums / $zuanshiprice));
		$buynums = intval(floor($_REQUEST["num"] * $zuanshiprice));
	}
}
else if ($_REQUEST["type"] == "qiche") {
	$gift_type = "qiche";
	$typename = "辆汽车";
	$last = "lastqiche";
	$allnums = "allqiche";
	$monthnums = "monthqiche";
	$weeknums = "weekqiche";
	$daynums = "dayqiche";
	$lasttime = $article->getVar("lastqiche", "n");
	$addorup = jieqi_visit_addorup($lasttime);
	$day = ($addorup["day"] ? $addnum : $article->getVar("dayqiche", "n") + $addnum);
	$week = ($addorup["week"] ? $addnum : $article->getVar("weekqiche", "n") + $addnum);
	$month = ($addorup["month"] ? $addnum : $article->getVar("monthqiche", "n") + $addnum);
	$all = $article->getVar("allqiche", "n") + $addnum;

	if (0 < $qicheprice) {
		$pricenums = intval(floor($egoldnums / $qicheprice));
		$buynums = intval(floor($_REQUEST["num"] * $qicheprice));
	}
}

if (!is_object($users)) {
	jieqi_printfail($jieqiLang["article"]["user_not_exists"]);
}

$userisvip = $users->getVar("isvip", "n");
jieqi_getconfigs(JIEQI_MODULE_NAME, "configs");
$article_static_url = (empty($jieqiConfigs["article"]["staticurl"]) ? $jieqiModules["article"]["url"] : $jieqiConfigs["article"]["staticurl"]);
$article_dynamic_url = (empty($jieqiConfigs["article"]["dynamicurl"]) ? $jieqiModules["article"]["url"] : $jieqiConfigs["article"]["dynamicurl"]);

if (!isset($_REQUEST["action"])) {
	$_REQUEST["action"] = "show";
}

switch ($_REQUEST["action"]) {
case "post":
	$errtext = "";
	jieqi_getconfigs("article", "action", "jieqiAction");
	$jieqiAction["article"]["qian"]["paymin"] = intval($jieqiAction["article"]["qian"]["paymin"]);
	$jieqiAction["article"]["ben"]["paymin"] = intval($jieqiAction["article"]["ben"]["paymin"]);
	$jieqiAction["article"]["jiubei"]["paymin"] = intval($jieqiAction["article"]["jiubei"]["paymin"]);
	$jieqiAction["article"]["dangao"]["paymin"] = intval($jieqiAction["article"]["dangao"]["paymin"]);
	$jieqiAction["article"]["zuanshi"]["paymin"] = intval($jieqiAction["article"]["zuanshi"]["paymin"]);
	$jieqiAction["article"]["qiche"]["paymin"] = intval($jieqiAction["article"]["qiche"]["paymin"]);
	$_REQUEST["num"] = intval(trim($_REQUEST["num"]));

	if ($_REQUEST["num"] <= 0) {
		$errtext .= $jieqiLang["article"]["" . $gift_type . "_over_zero"] . "<br />";
	}
	else if ($_REQUEST["num"] < $jieqiAction["article"]["" . $gift_type . ""]["paymin"]) {
		$errtext .= sprintf($jieqiLang["article"]["" . $gift_type . "_over_min"], $jieqiAction["article"]["" . $gift_type . ""]["paymin"]) . "<br />";
	}
	else if ($pricenums < $_REQUEST["num"]) {
		$errtext .= $jieqiLang["article"]["" . $gift_type . "_over_emoney"] . "<br />";
	}

	if (empty($errtext)) {
		$criteria = new CriteriaCompo(new Criteria("articleid", $_REQUEST["id"]));
		$article_handler->updatefields(array($last => JIEQI_NOW_TIME, $daynums => $day, $weeknums => $week, $monthnums => $month, $allnums => $all), $criteria);
		$ret = $users_handler->payout($users, $buynums);

		if (!$ret) {
			jieqi_printfail($jieqiLang["article"]["user_payout_failure"]);
		}

		$tid = (0 < $article->getVar("authorid", "n") ? $article->getVar("authorid", "n") : $article->getVar("posterid", "n"));
		$tname = (0 < $article->getVar("authorid", "n") ? $article->getVar("author", "n") : $article->getVar("poster", "n"));
		include_once ($jieqiModules["obook"]["path"] . "/include/funbuy.php");
		jieqi_obook_upincome(array("articleid" => $article->getVar("articleid", "n"), "egold" => $buynums, "etype" => 0, "intype" => "gift", "salenum" => 0));
		include_once ($jieqiModules["obook"]["path"] . "/include/actmreport.php");
		jieqi_obook_actmreport(array("articleid" => $article->getVar("articleid", "n"), "egold" => $buynums, "etype" => 0, "intype" => "gift", "salenum" => 0));
		include_once ($jieqiModules["article"]["path"] . "/include/funaction.php");
		$actions = array("actname" => $gift_type, "actnum" => $_REQUEST["num"], "actegold" => $buynums, "actbuy" => 0, "tid" => $tid, "tname" => $tname, "aname" => $article->getVar("articlename", "n"));
		jieqi_loadlang("action", "article");
		$actions["review_title"] = sprintf($jieqiLang["article"]["" . $gift_type . "_review_title"], $_SESSION["jieqiUserName"], $actions["aname"], $_REQUEST["num"] . $typename);

		if (empty($_REQUEST["content"])) {
			$actions["review_content"] = sprintf($jieqiLang["article"]["" . $gift_type . "_review_content"], $_SESSION["jieqiUserName"], $actions["aname"], $_REQUEST["num"] . $typename);
		}
		else {
			$actions["review_content"] = $_REQUEST["content"];
		}

		$actions["message_title"] = sprintf($jieqiLang["article"]["" . $gift_type . "_message_title"], $_SESSION["jieqiUserName"], $actions["aname"], $_REQUEST["num"] . $typename);
		$actions["message_content"] = sprintf($jieqiLang["article"]["tip_message_content"], $_SESSION["jieqiUserName"], $actions["aname"], $_REQUEST["num"] . $typename);
		jieqi_article_actiondo($actions, $article);
		$criteria = new CriteriaCompo(new Criteria("articleid", $_REQUEST["id"]));
		$reviewsnum = $article->getVar("reviewsnum", "n") + 1;
		$article_handler->updatefields(array("reviewsnum" => $reviewsnum), $criteria);
		jieqi_msgwin(LANG_DO_SUCCESS, $jieqiLang["article"]["tip_save_success"]);
	}
	else {
		jieqi_printfail($errtext);
	}

	break;

case "show":
default:
	include_once (JIEQI_ROOT_PATH . "/header.php");
	$jieqiTpl->assign("article_static_url", $article_static_url);
	$jieqiTpl->assign("article_dynamic_url", $article_dynamic_url);
	$jieqiTpl->assign("articleid", $article->getVar("articleid"));
	$jieqiTpl->assign("articlename", $article->getVar("articlename"));
	$jieqiTpl->assign("vipid", $article->getVar("vipid"));
	$jieqiTpl->assign("postdate", date(JIEQI_DATE_FORMAT, $article->getVar("postdate")));
	$jieqiTpl->assign("lastupdate", date(JIEQI_DATE_FORMAT, $article->getVar("lastupdate")));
	$jieqiTpl->assign("authorid", $article->getVar("authorid"));
	$jieqiTpl->assign("author", $article->getVar("author"));
	$jieqiTpl->assign("gift_type", $gift_type);
	$jieqiTpl->assign("vipvotemoney", intval($userset["vipvote"]));
	$jieqiTpl->assign("flowerprice", $flowerprice);
	$jieqiTpl->assign("eggprice", $eggprice);
	$jieqiTpl->assign("egoldnums", $egoldnums);
	$jieqiTpl->assign("gfuname", $gfuname);
	$jieqiTpl->assign("typeuname", $typeuname);

	if (empty($_REQUEST["ajax_request"])) {
		$jieqiTpl->assign("ajax_request", 0);
	}
	else {
		$jieqiTpl->assign("ajax_request", 1);
	}

	$jieqiTpl->setCaching(0);
	$jieqiTpl->assign("jieqi_contents", $jieqiTpl->fetch($jieqiModules["article"]["path"] . "/templates/gift.html"));
	include_once (JIEQI_ROOT_PATH . "/footer.php");
	break;
}

?>
