<?php

define("JIEQI_MODULE_NAME", "pay");
define("JIEQI_PAY_TYPE", "ips");
require_once ("../../global.php");
jieqi_loadlang("pay", JIEQI_MODULE_NAME);
jieqi_getconfigs(JIEQI_MODULE_NAME, JIEQI_PAY_TYPE, "jieqiPayset");
$billno = trim($_GET["billno"]);
$mercode = trim($_GET["mercode"]);
$Currency_type = trim($_GET["Currency_type"]);
$amount = trim($_GET["amount"]);
$date = trim($_GET["date"]);
$succ = trim($_GET["succ"]);
$msg = trim($_GET["msg"]);
$attach = trim($_GET["attach"]);
$ipsbillno = trim($_GET["ipsbillno"]);
$retencodetype = trim($_GET["retencodetype"]);
$signature = trim($_GET["signature"]);
$bankbillno = trim($_GET["bankbillno"]);
$Mer_code = $jieqiPayset[JIEQI_PAY_TYPE]["payid"];
$Strcert = $jieqiPayset[JIEQI_PAY_TYPE]["paykey"];
$md5string = strtolower(md5("billno" . $billno . "currencytype" . $Currency_type . "amount" . $amount . "date" . $date . "succ" . $succ . "ipsbillno" . $ipsbillno . "retencodetype" . $retencodetype . $Strcert));
if (($succ == "Y") && (strtolower($signature) == $md5string)) {
	include_once ($jieqiModules["pay"]["path"] . "/class/paylog.php");
	$paylog_handler = JieqiPaylogHandler::getInstance("JieqiPaylogHandler");
	$orderid = intval($billno);
	$paylog = $paylog_handler->get($orderid);

	if (is_object($paylog)) {
		$buyname = $paylog->getVar("buyname");
		$buyid = $paylog->getVar("buyid");
		$payflag = $paylog->getVar("payflag");
		$egold = $paylog->getVar("egold");
		$money = $paylog->getVar("money");

		if ($payflag == 0) {
			include_once (JIEQI_ROOT_PATH . "/class/users.php");
			$users_handler = &JieqiUsersHandler::getInstance("JieqiUsersHandler");
			$ret = $users_handler->income($buyid, $egold, $jieqiPayset[JIEQI_PAY_TYPE]["paysilver"], $jieqiPayset[JIEQI_PAY_TYPE]["payscore"][$egold]);

			if ($ret) {
				$note = sprintf($jieqiLang["pay"]["add_egold_success"], $buyname, JIEQI_EGOLD_NAME, $egold);
			}
			else {
				$note = sprintf($jieqiLang["pay"]["add_egold_failure"], $buyid, $buyname, JIEQI_EGOLD_NAME, $egold);
			}

			$paylog->setVar("rettime", JIEQI_NOW_TIME);
			$paylog->setVar("money", intval($amount * 100));
			$paylog->setVar("retserialno", $ipsbillno);
			$paylog->setVar("retaccount", $bankbillno);
			$paylog->setVar("retinfo", "");
			$paylog->setVar("note", $note);
			$paylog->setVar("payflag", 1);

			if (!$paylog_handler->insert($paylog)) {
				jieqi_printfail($jieqiLang["pay"]["save_paylog_failure"]);
			}
			else {
				jieqi_msgwin(LANG_DO_SUCCESS, sprintf($jieqiLang["pay"]["buy_egold_success"], $buyname, JIEQI_EGOLD_NAME, $egold));
			}
		}
		else {
			jieqi_printfail($jieqiLang["pay"]["already_add_egold"]);
		}
	}
	else {
		jieqi_printfail($jieqiLang["pay"]["no_buy_record"]);
	}
}
else {
	jieqi_printfail(sprintf($jieqiLang["pay"]["pay_failure_message"], jieqi_htmlstr($msg)));
}

?>
