<?php

define("JIEQI_MODULE_NAME", "pay");
define("JIEQI_PAY_TYPE", "paypal");
require_once ("../../global.php");
jieqi_loadlang("pay", JIEQI_MODULE_NAME);
jieqi_getconfigs(JIEQI_MODULE_NAME, JIEQI_PAY_TYPE, "jieqiPayset");
$req = "cmd=_notify-validate";

foreach ($_POST as $key => $value ) {
	$value = urlencode(stripslashes($value));
	$req .= "&$key=$value";
}

$header = "POST /cgi-bin/webscr HTTP/1.1\r\n";
$header .= "Content-Type: application/x-www-form-urlencoded\r\n";
$header .= "Content-Length: " . strlen($req) . "\r\n\r\n";
$fp = fsockopen("ssl://ipnpb.paypal.com", 443, $errno, $errstr, 30);

if (!$fp) {
	echo "open ssl failure!";
}
else {
	fputs($fp, $header . $req);

	while (!feof($fp)) {
		$res = fgets($fp, 1024);

		if (strcmp($res, "VERIFIED") == 0) {
			$item_name = $_POST["item_name"];
			$item_number = $_POST["item_number"];
			$item_select = $_POST["item_select"];
			$payment_status = $_POST["payment_status"];
			$payment_amount = $_POST["payment_amount"];
			$payment_currency = $_POST["payment_currency"];
			$txn_id = $_POST["txn_id"];
			$receiver_email = $_POST["receiver_email"];
			$payer_email = $_POST["payer_email"];
			$uid = $_POST["uid"];
			$custom = $_POST["custom"];

			if (strcmp($payment_status, "Completed") == 0) {
				include_once ($jieqiModules["pay"]["path"] . "/class/paylog.php");
				$paylog_handler = JieqiPaylogHandler::getInstance("JieqiPaylogHandler");
				$orderid = (!empty($item_number) ? intval($item_number) : intval($custom));
				$paylog = $paylog_handler->get($orderid);

				if (is_object($paylog)) {
					$buyname = $paylog->getVar("buyname");
					$buyid = $paylog->getVar("buyid");
					$payflag = $paylog->getVar("payflag");
					$egold = $paylog->getVar("egold");
					$money = $paylog->getVar("money");
					if ((intval($payment_amount * 100) != $money) || ($payment_currency != $jieqiPayset[JIEQI_PAY_TYPE]["currency_code"])) {
						echo "error payment_amount or payment_currency";
					}
					else if ($payflag == 0) {
						include_once (JIEQI_ROOT_PATH . "/class/users.php");
						$users_handler = &JieqiUsersHandler::getInstance("JieqiUsersHandler");
						$paysilver = (empty($jieqiPayset[JIEQI_PAY_TYPE]["paysilver"]) ? 0 : intval($jieqiPayset[JIEQI_PAY_TYPE]["paysilver"]));
						$payscore = (empty($jieqiPayset[JIEQI_PAY_TYPE]["payrate"]) ? 0 : floor(($money * $jieqiPayset[JIEQI_PAY_TYPE]["payrate"]) / 100));
						$ret = $users_handler->income($buyid, $egold, $paysilver, $payscore);

						if ($ret) {
							$note = sprintf($jieqiLang["pay"]["add_egold_success"], $buyname, JIEQI_EGOLD_NAME, $egold);
						}
						else {
							$note = sprintf($jieqiLang["pay"]["add_egold_failure"], $buyid, $buyname, JIEQI_EGOLD_NAME, $egold);
						}

						$paylog->setVar("rettime", JIEQI_NOW_TIME);
						$paylog->setVar("retserialno", $txn_id);
						$paylog->setVar("retaccount", $payer_email);
						$paylog->setVar("retinfo", $receiver_email);
						$paylog->setVar("note", $note);
						$paylog->setVar("payflag", 1);

						if (!$paylog_handler->insert($paylog)) {
							echo "save record failure";
						}
						else {
							echo "200 OK";
						}
					}
					else {
						echo "200 OK";
					}
				}
				else {
					echo "no pay record";
				}
			}
			else {
				echo "payment_status = " . $payment_status;
			}
		}
		else if (strcmp($res, "INVALID") == 0) {
			echo "The response from IPN was: <b>" . $res . "</b>";
		}
	}

	fclose($fp);
}

?>
