<?php

define("JIEQI_MODULE_NAME", "pay");
define("JIEQI_PAY_TYPE", "sms");
require_once ("../../global.php");
jieqi_loadlang("pay", JIEQI_MODULE_NAME);
jieqi_getconfigs(JIEQI_MODULE_NAME, JIEQI_PAY_TYPE, "jieqiPayset");
$mycorpid = $jieqiPayset[JIEQI_PAY_TYPE]["payid"];
$mydest = $jieqiPayset[JIEQI_PAY_TYPE]["mydest"];
$emoney = $jieqiPayset[JIEQI_PAY_TYPE]["emoney"];
$egold = $jieqiPayset[JIEQI_PAY_TYPE]["egold"];
$ptype = $jieqiPayset[JIEQI_PAY_TYPE]["ptype"];
$sid = $jieqiPayset[JIEQI_PAY_TYPE]["sid"];
$mtype = $jieqiPayset[JIEQI_PAY_TYPE]["mtype"];
$fmt = $jieqiPayset[JIEQI_PAY_TYPE]["fmt"];
$uflag = $jieqiPayset[JIEQI_PAY_TYPE]["uflag"];
$corpid = trim($_REQUEST["corpid"]);
$dest = trim($_REQUEST["dest"]);
$src = trim($_REQUEST["src"]);
$msg = trim($_REQUEST["msg"]);
$linkid = trim($_REQUEST["linkid"]);
$egold = intval($egold);
$emoney = intval($emoney);
$money = $emoney;

if ($mycorpid != $corpid) {
	echo "result:-1;invalid corpid";
	exit();
}

if ($mydest != $dest) {
	echo "result:-2;invalid dest";
	exit();
}

if (!is_numeric($src)) {
	echo "result:-3;invalid src";
	exit();
}

$jieqiPayset["sms"]["startmsg"] = strtoupper($jieqiPayset["sms"]["startmsg"]);
$startlen = strlen($jieqiPayset["sms"]["startmsg"]);
$uid = substr($msg, $startlen);
$flagstr = strtoupper(substr($msg, 0, $startlen));

if ($flagstr != $jieqiPayset["sms"]["startmsg"]) {
	echo "result:-5;invalid msg";
	exit();
}

if (!is_numeric($uid)) {
	echo "result:-5;invalid msg";
	exit();
}

include_once ($jieqiModules["pay"]["path"] . "/class/paylog.php");
$paylog_handler = JieqiPaylogHandler::getInstance("JieqiPaylogHandler");
$jieqiPayset[JIEQI_PAY_TYPE]["daymsg"] = intval($jieqiPayset[JIEQI_PAY_TYPE]["daymsg"]);

if (!empty($jieqiPayset[JIEQI_PAY_TYPE]["daymsg"])) {
	$starttime = mktime(0, 0, 0, date("m"), date("d"), date("Y"));
	$criteria = new CriteriaCompo();
	$criteria->add(new Criteria("buyid", $uid, "="));
	$criteria->add(new Criteria("nuytime", $starttime, ">="));
	$msgcount = $paylog_handler->getCount($criteria);

	if ($jieqiPayset[JIEQI_PAY_TYPE]["daymsg"] <= $msgcount) {
		echo "result:-5;invalid msg";
		exit();
	}
}

include_once (JIEQI_ROOT_PATH . "/class/users.php");
$users_handler = &JieqiUsersHandler::getInstance("JieqiUsersHandler");
$userobj = $users_handler->get($uid);

if (!is_object($userobj)) {
	echo "result:-5;invalid msg";
	exit();
}

$url = $jieqiPayset["sms"]["payurl"] . "?corpid=" . $corpid . "&dest=" . $src . "&src=" . $dest . "&feeid=" . $src . "&ptype=" . $ptype . "&sid=" . $sid . "&fee=" . $emoney . "&mtype=" . $mtype . "&fmt=1&uflag=" . $uflag . "&linkid=" . $linkid;

if (is_array($jieqiPayset[JIEQI_PAY_TYPE]["addvars"])) {
	foreach ($jieqiPayset[JIEQI_PAY_TYPE]["addvars"] as $k => $v ) {
		$url .= "&" . urlencode($k) . "=" . urlencode($v);
	}
}

$paylog = $paylog_handler->create();
$paylog->setVar("siteid", JIEQI_SITE_ID);
$paylog->setVar("buytime", JIEQI_NOW_TIME);
$paylog->setVar("rettime", 0);
$paylog->setVar("buyid", $userobj->getVar("uid", "n"));
$paylog->setVar("buyname", $userobj->getVar("uname", "n"));
$paylog->setVar("buyinfo", "");
$paylog->setVar("moneytype", $jieqiPayset[JIEQI_PAY_TYPE]["moneytype"]);
$paylog->setVar("money", $emoney);
$paylog->setVar("egoldtype", $jieqiPayset[JIEQI_PAY_TYPE]["paysilver"]);
$paylog->setVar("egold", $egold);
$paylog->setVar("paytype", JIEQI_PAY_TYPE);
$paylog->setVar("retserialno", "");
$paylog->setVar("retaccount", "");
$paylog->setVar("retinfo", "");
$paylog->setVar("masterid", 0);
$paylog->setVar("mastername", "");
$paylog->setVar("masterinfo", "");
$paylog->setVar("note", $url);
$paylog->setVar("payflag", 0);
$paylog_handler->insert($paylog);
$serialno = $paylog->getVar("payid", "n");
$buyid = $userobj->getVar("uid", "n");
$buyname = $userobj->getVar("uname", "n");
$msg = str_replace(array("<{\$userid}>", "<{\$username}>", "<{\$egold}>", "<{\$serialno}>"), array($buyid, $buyname, $egold, $serialno), $jieqiPayset[JIEQI_PAY_TYPE]["message"]);
$url .= "&msg=" . urlencode($msg);
$ret = file_get_contents($url);
$ret = trim($ret);
$tmpary0 = explode(";", $ret);

if (!empty($tmpary0[0])) {
	$tmpary1 = explode(":", trim($tmpary0[0]));
}

$cot = count($tmpary1);
if ((1 < $cot) && is_numeric($tmpary1[$cot - 1]) && (0 <= $tmpary1[$cot - 1])) {
	$ret = $users_handler->income($buyid, $egold, $jieqiPayset[JIEQI_PAY_TYPE]["paysilver"], $jieqiPayset[JIEQI_PAY_TYPE]["payscore"][$egold]);

	if ($ret) {
		$note = sprintf($jieqiLang["pay"]["add_egold_success"], $buyname, JIEQI_EGOLD_NAME, $egold);
	}
	else {
		$note = sprintf($jieqiLang["pay"]["add_egold_failure"], $buyid, $buyname, JIEQI_EGOLD_NAME, $egold);
	}

	$paylog->unsetNew();
	$paylog->setVar("rettime", JIEQI_NOW_TIME);
	$paylog->setVar("money", $money);
	$paylog->setVar("note", $note);
	$paylog->setVar("payflag", 1);
	$paylog_handler->insert($paylog);
	echo "result:" . $serialno . ";success";
	exit();
}
else {
	$paylog->unsetNew();
	$paylog->setVar("retinfo", $ret);
	$paylog->setVar("payflag", -1);
	$paylog_handler->insert($paylog);
	echo $ret;
	exit();
}

?>
