<?php

define("JIEQI_MODULE_NAME", "pay");
define("JIEQI_PAY_TYPE", "sndacard");
require_once ("../../global.php");
jieqi_loadlang("pay", JIEQI_MODULE_NAME);
jieqi_loadlang("snda", JIEQI_MODULE_NAME);
jieqi_getconfigs(JIEQI_MODULE_NAME, JIEQI_PAY_TYPE, "jieqiPayset");
$mymerid = $jieqiPayset[JIEQI_PAY_TYPE]["payid"];
$key = $jieqiPayset[JIEQI_PAY_TYPE]["paykey"];
$sdorderno = trim($_REQUEST["sdorderno"]);
$amount = trim($_REQUEST["amount"]);
$status = trim($_REQUEST["status"]);
$merid = trim($_REQUEST["merid"]);
$bizcode = trim($_REQUEST["bizcode"]);
$transdate = trim($_REQUEST["transdate"]);
$cardbalance = trim($_REQUEST["cardbalance"]);
$ex1 = trim($_REQUEST["ex1"]);
$ex2 = trim($_REQUEST["ex2"]);
$signmsg = trim($_REQUEST["signmsg"]);

if ($status != "01") {
	if ($status == "-1002") {
		$retstr = $jieqiLang["pay"]["error_card_password"];
	}
	else if ($status == "-1003") {
		$retstr = $jieqiLang["pay"]["error_card_used"];
	}
	else if ($status == "-2004") {
		$retstr = $jieqiLang["pay"]["error_card_cant"];
	}
	else if ($status == "-1") {
		$retstr = $jieqiLang["pay"]["error_system"];
	}
	else {
		$retstr = $jieqiLang["pay"]["error_unknow"];
	}

	echo $jieqiPayset[JIEQI_PAY_TYPE]["showurl"] . "?retcode=" . $status;
	exit();
}

if ($mymerid != $merid) {
	echo $jieqiPayset[JIEQI_PAY_TYPE]["showurl"] . "?retcode=-101";
	exit();
}

$signstr = $sdorderno . "||" . $amount . "||" . $status . "||" . $merid . "||" . $bizcode . "||" . $transdate . "||" . $cardbalance . "||" . $ex1 . "||" . $ex2;
$checkcode = trim(file_get_contents($jieqiPayset[JIEQI_PAY_TYPE]["verifyurl"] . "?signstr=" . urlencode($signstr) . "&signmsg=" . urlencode($signmsg) . "&checkstr=" . $jieqiPayset[JIEQI_PAY_TYPE]["checkstr"]));

if ($checkcode != "1") {
	echo $jieqiPayset[JIEQI_PAY_TYPE]["showurl"] . "?retcode=-102";
	exit();
}
else {
	include_once ($jieqiModules["pay"]["path"] . "/class/paylog.php");
	$paylog_handler = JieqiPaylogHandler::getInstance("JieqiPaylogHandler");
	$orderid = intval($sdorderno);
	$paylog = $paylog_handler->get($orderid);

	if (is_object($paylog)) {
		$buyname = $paylog->getVar("buyname");
		$buyid = $paylog->getVar("buyid");
		$payflag = $paylog->getVar("payflag");
		$egold = $paylog->getVar("egold");

		if ($payflag == 0) {
			include_once (JIEQI_ROOT_PATH . "/class/users.php");
			$users_handler = &JieqiUsersHandler::getInstance("JieqiUsersHandler");
			$ret = $users_handler->income($buyid, $egold, $jieqiPayset[JIEQI_PAY_TYPE]["paysilver"], $jieqiPayset[JIEQI_PAY_TYPE]["payscore"][$egold]);

			if ($ret) {
				$note = sprintf($jieqiLang["pay"]["add_egold_success"], $buyname, JIEQI_EGOLD_NAME, $egold);
			}
			else {
				$note = sprintf($jieqiLang["pay"]["add_egold_failure"], $buyid, $buyname, JIEQI_EGOLD_NAME, $egold);
			}

			$paylog->setVar("rettime", JIEQI_NOW_TIME);
			$paylog->setVar("money", intval($amount * 100));
			$paylog->setVar("note", $note);
			$paylog->setVar("payflag", 1);

			if (!$paylog_handler->insert($paylog)) {
				echo $jieqiPayset[JIEQI_PAY_TYPE]["showurl"] . "?retcode=-104";
				exit();
			}
		}

		echo $jieqiPayset[JIEQI_PAY_TYPE]["showurl"] . "?retcode=1&buyname=" . urlencode($buyname) . "&egold=" . urlencode($egold);
		exit();
	}
	else {
		echo $jieqiPayset[JIEQI_PAY_TYPE]["showurl"] . "?retcode=-103";
		exit();
	}
}

?>
