<?php

@define("JIEQI_MODULE_NAME", "pay");
@define("JIEQI_PAY_TYPE", "微信支付");
require_once ("../../../global.php");
jieqi_loadlang("pay", "pay");

if (!jieqi_checklogin(true)) {
	jieqi_printfail($jieqiLang["pay"]["need_login"]);
}

$jieqiPayset[JIEQI_PAY_TYPE]["paycustom"] = 0;
$jieqiPayset[JIEQI_PAY_TYPE]["payrate"] = 100;
$jieqiPayset[JIEQI_PAY_TYPE]["paylimit"] = array("1000" => "10", "2000" => "20", "5000" => "50", "10000" => "100", "20000" => "200", "50000" => "500");
$jieqiPayset[JIEQI_PAY_TYPE]["moneytype"] = 0;
$jieqiPayset[JIEQI_PAY_TYPE]["paysilver"] = 0;
include ($jieqiModules["pay"]["path"] . "/include/paystart.php");
require_once ("lib/WxPay.Api.php");
require_once ("WxPay.NativePay.php");
require_once ("log.php");
$notify = new NativePay();
$jieqi_sitename = WxPayConfig::SITENAME;
$input = new WxPayUnifiedOrder();
$input->SetBody($jieqi_sitename);
$input->SetAttach($jieqi_sitename);
$input->SetOut_trade_no($paylog->getVar("payid"));
$input->SetTotal_fee($_REQUEST["egold"]);
$input->SetTime_start(date("YmdHis"));
$input->SetTime_expire(date("YmdHis", time() + 600));
$input->SetGoods_tag($jieqi_sitename);
$input->SetNotify_url(WxPayConfig::NOTIFY_URL);
$input->SetTrade_type("NATIVE");
$input->SetProduct_id($paylog->getVar("payid"));
$result = $notify->GetPayUrl($input);
$url2 = $result["code_url"];
include_once (JIEQI_ROOT_PATH . "/header.php");
include_once (JIEQI_ROOT_PATH . "/lib/template/template.php");
$jieqiTpl = &JieqiTpl::getInstance();
$jieqiTpl->assign("img", urlencode($url2));
$jieqiTpl->assign("money", $_POST["egold"] / 100);
$jieqiTpl->assign("orderid", $paylog->getVar("payid"));
$jieqiTpl->assign("success", WxPayConfig::SUCCESS);
$jieqiTset["jieqi_contents_template"] = $jieqiModules["pay"]["path"] . "/templates/sm.html";
include_once (JIEQI_ROOT_PATH . "/footer.php");

?>
