

$(document).ready(function(){
    var document = $(this);

    // 输入框提示
    $('input[placeholder],textarea[placeholder]').map(function(){
        var that = $(this);
        var placeholder = that.attr('placeholder');
        var color = that.css('color');
        var type = that.attr('type');

        if (that.val() == '') {
            that.val(placeholder).attr('type', 'text').css('color','#ccc');
        }

        that.bind('focus', function(){
            if (that.val() == '' || that.val() == placeholder) {
                that.val('').attr('type', type).css('color', color);
            }
        });

        that.bind('blur', function(){
            if (that.val() == '' || that.val() == placeholder) {
                that.val(placeholder).attr('type', 'text').css('color','#ccc');
            }
        });
    });

    // 导航显示
    $(".nav-hide .dropdown").hover(function(){
        $(this).find('.dropdown-items').addClass('active');
    }, function(){
        $(this).find('.dropdown-items').removeClass('active');
    });

    document.on('click', '.directory-cell .toggle', function(){
        var that = $(this);
        var items = that.parents(".directory-cell").find(".cell-items");

        if ( items.is(":visible") ) {
            items.slideUp(100);
            that.text("+ 展开");
        } else {
            items.slideDown(100);
            that.text("- 收起");
        }

        console.log(items);
    });

});


function showLoginLayer() {
    layer.open({
        type: 1,
        shadeClose: true, //开启遮罩关闭
        shade: 0.5,
        skin: 'book-layer-wrap',
        area: ['400px', '400px'],
        title: '用户登录',
        content: $('.login-layer'),
    });
}

function goTop(){
    $('body,html').animate({scrollTop:0},200);
}
function PageLoad() {
    this.MyMethod = null;

	
	this.getJson = function(url, myFun)
	{
		$.ajax({
				type : "GET",
				url : urlParams(url,'ajax_layer=1&date='+Math.random()),//+'&ajax_layer=1&ajax_gets='+this.ContentTag,
				dataType : "jsonp",
				jsonp: 'CALLBACK',
				success : function(json){
					if(isExitsFunction(myFun)) myFun(json);
					else{
						this.MyMethod = myFun;
						if(this.MyMethod!=null){
						   this.MyMethod(json);
						}
					}
				}
		});	
	}

	this.postForm = function(form, url, myFun)
	{
		$.ajax({
				type : "POST",
				url : urlParams(url,'ajax_layer=1&date'+Math.random()),//+'&ajax_layer=1&ajax_gets='+this.ContentTag,
				data: $('#'+form).serialize(),
				dataType : "jsonp",
				jsonp: 'CALLBACK',
				success : function(json){
					if(isExitsFunction(myFun)) myFun(json);
					else{
						this.MyMethod = myFun;
						if(this.MyMethod!=null){
						   this.MyMethod(json);
						}
					}
				} 
		});	
	}
	
	this.buychapter = function(url)
	{   //var ContentTag = this.ContentTag;
		GPage.getJson(url,
			function(data){//alert(url);
			    if(data.status=='OK'){
					layer.msg(data.msg, {icon: 1}, 1);
					//var loadi = layer.load('文章内容加载中…');
					//var gurl = urlParams(vurl, 'ajax_layer=1&date='+Math.random());
					//if(gurl.indexOf("ajax_gets")=='-1') gurl = urlParams(gurl, 'ajax_gets='+ContentTag);
					//$("#content").load(gurl);
					GPage.loadpage('content', vurl, true);
					//layer.close(loadi);
				}else{
					//layer.msg(data.msg, 1, 8);
					layer.alert(data.msg, 8, !1);
				}
			}
		);
	}
	
	
	this.addbook = function(url, id, obj)
	{  
	   if(getUserId()<1){   
	     userLogin();

	    }else{
			//alert(id);
			GPage.getJson(url,function(data){
			    if(data.status=='OK'){
						layer.msg(data.msg, {icon: 1}, 1);
				        location.reload();	
				}else{
					//layer.msg(data.msg, 1, 8);
					layer.msg(data.msg, {icon: 2}, !1);
				}
			});
		}
	}

}
