/*******************************************************************************
* KindEditor - WYSIWYG HTML Editor for Internet
* Copyright (C) 2006-2011 kindsoft.net
*
* @author Roddy <luolonghao@gmail.com>
* @site http://www.kindsoft.net/
* @licence http://www.kindsoft.net/license.php
*******************************************************************************/

KindEditor.lang({
	source : '原始码',
	preview : '预览',
	undo : '复原(Ctrl+Z)',
	redo : '重复(Ctrl+Y)',
	cut : '剪下(Ctrl+X)',
	copy : '复制(Ctrl+C)',
	paste : '贴上(Ctrl+V)',
	plainpaste : '贴为纯文字格式',
	wordpaste : '自Word贴上',
	selectall : '全选(Ctrl+A)',
	justifyleft : '靠左对齐',
	justifycenter : '置中',
	justifyright : '靠右对齐',
	justifyfull : '左右对齐',
	insertorderedlist : '编号清单',
	insertunorderedlist : '项目清单',
	indent : '增加缩排',
	outdent : '减少缩排',
	subscript : '下标',
	superscript : '上标',
	formatblock : '标题',
	fontname : '字体',
	fontsize : '文字大小',
	forecolor : '文字颜色',
	hilitecolor : '背景颜色',
	bold : '粗体(Ctrl+B)',
	italic : '斜体(Ctrl+I)',
	underline : '底线(Ctrl+U)',
	strikethrough : '删除线',
	removeformat : '清除格式',
	image : '影像',
	multiimage : '批量影像上传',
	flash : 'Flash',
	media : '多媒体',
	table : '表格',
	tablecell : '储存格',
	hr : '插入水平线',
	emoticons : '插入表情',
	link : '超连结',
	unlink : '移除超连结',
	fullscreen : '最大化',
	about : '关於',
	print : '列印(Ctrl+P)',
	filemanager : '浏览伺服器',
	code : '插入程式代码',
	map : 'Google地图',
	baidumap : 'Baidu地图',
	lineheight : '行距',
	clearhtml : '清理HTML代码',
	pagebreak : '插入分页符号',
	quickformat : '快速排版',
	insertfile : '插入文件',
	template : '插入样板',
	anchor : '锚点',
	yes : '确定',
	no : '取消',
	close : '关闭',
	editImage : '影像属性',
	deleteImage : '删除影像',
	editFlash : 'Flash属性',
	deleteFlash : '删除Flash',
	editMedia : '多媒体属性',
	deleteMedia : '删除多媒体',
	editLink : '超连结属性',
	deleteLink : '移除超连结',
	editAnchor : '锚点属性',
	deleteAnchor : '删除锚点',
	tableprop : '表格属性',
	tablecellprop : '储存格属性',
	tableinsert : '插入表格',
	tabledelete : '删除表格',
	tablecolinsertleft : '向左插入列',
	tablecolinsertright : '向右插入列',
	tablerowinsertabove : '向上插入栏',
	tablerowinsertbelow : '下方插入栏',
	tablerowmerge : '向下合并单元格',
	tablecolmerge : '向右合并单元格',
	tablerowsplit : '分割栏',
	tablecolsplit : '分割列',
	tablecoldelete : '删除列',
	tablerowdelete : '删除栏',
	noColor : '自动',
	pleaseSelectFile : '请选择文件。',
	invalidImg : "请输入有效的URL。\n只允许jpg,gif,bmp,png格式。",
	invalidMedia : "请输入有效的URL。\n只允许swf,flv,mp3,wav,wma,wmv,mid,avi,mpg,asf,rm,rmvb格式。",
	invalidWidth : "宽度必须是数字。",
	invalidHeight : "高度必须是数字。",
	invalidBorder : "边框必须是数字。",
	invalidUrl : "请输入有效的URL。",
	invalidRows : '栏数是必须输入项目，只允许输入大於0的数字。',
	invalidCols : '列数是必须输入项目，只允许输入大於0的数字。',
	invalidPadding : '内距必须是数字。',
	invalidSpacing : '间距必须是数字。',
	invalidJson : '伺服器发生故障。',
	uploadSuccess : '上传成功。',
	cutError : '您的浏览器安全设置不允许使用剪下操作，请使用快捷键(Ctrl+X)完成。',
	copyError : '您的浏览器安全设置不允许使用剪下操作，请使用快捷键(Ctrl+C)完成。',
	pasteError : '您的浏览器安全设置不允许使用剪下操作，请使用快捷键(Ctrl+V)完成。',
	ajaxLoading : '加载中，请稍候 ...',
	uploadLoading : '上传中，请稍候 ...',
	uploadError : '上传错误',
	'plainpaste.comment' : '请使用快捷键(Ctrl+V)把内容贴到下方区域里。',
	'wordpaste.comment' : '请使用快捷键(Ctrl+V)把内容贴到下方区域里。',
	'code.pleaseInput' : 'Please input code.',
	'link.url' : 'URL',
	'link.linkType' : '打开类型',
	'link.newWindow' : '新窗口',
	'link.selfWindow' : '本页窗口',
	'flash.url' : 'URL',
	'flash.width' : '宽度',
	'flash.height' : '高度',
	'flash.upload' : '上传',
	'flash.viewServer' : '浏览',
	'media.url' : 'URL',
	'media.width' : '宽度',
	'media.height' : '高度',
	'media.autostart' : '自动播放',
	'media.upload' : '上传',
	'media.viewServer' : '浏览',
	'image.remoteImage' : '网络影像',
	'image.localImage' : '上传影像',
	'image.remoteUrl' : '影像URL',
	'image.localUrl' : '影像URL',
	'image.size' : '影像大小',
	'image.width' : '宽度',
	'image.height' : '高度',
	'image.resetSize' : '原始大小',
	'image.align' : '对齐方式',
	'image.defaultAlign' : '未设定',
	'image.leftAlign' : '向左对齐',
	'image.rightAlign' : '向右对齐',
	'image.imgTitle' : '影像说明',
	'image.upload' : '浏览...',
	'image.viewServer' : '浏览...',
	'multiimage.uploadDesc' : 'Allows users to upload <%=uploadLimit%> images, single image size not exceeding <%=sizeLimit%>',
	'multiimage.startUpload' : 'Start upload',
	'multiimage.clearAll' : 'Clear all',
	'multiimage.insertAll' : 'Insert all',
	'multiimage.queueLimitExceeded' : 'Queue limit exceeded.',
	'multiimage.fileExceedsSizeLimit' : 'File exceeds size limit.',
	'multiimage.zeroByteFile' : 'Zero byte file.',
	'multiimage.invalidFiletype' : 'Invalid file type.',
	'multiimage.unknownError' : 'Unknown upload error.',
	'multiimage.pending' : 'Pending ...',
	'multiimage.uploadError' : 'Upload error',
	'filemanager.emptyFolder' : '空文件夹',
	'filemanager.moveup' : '至上一级文件夹',
	'filemanager.viewType' : '显示方式：',
	'filemanager.viewImage' : '缩略图',
	'filemanager.listImage' : '详细信息',
	'filemanager.orderType' : '排序方式：',
	'filemanager.fileName' : '名称',
	'filemanager.fileSize' : '大小',
	'filemanager.fileType' : '类型',
	'insertfile.url' : 'URL',
	'insertfile.title' : '文件说明',
	'insertfile.upload' : '上传',
	'insertfile.viewServer' : '浏览',
	'table.cells' : '储存格数',
	'table.rows' : '栏数',
	'table.cols' : '列数',
	'table.size' : '表格大小',
	'table.width' : '宽度',
	'table.height' : '高度',
	'table.percent' : '%',
	'table.px' : 'px',
	'table.space' : '内距间距',
	'table.padding' : '内距',
	'table.spacing' : '间距',
	'table.align' : '对齐方式',
	'table.textAlign' : '水平对齐',
	'table.verticalAlign' : '垂直对齐',
	'table.alignDefault' : '未设定',
	'table.alignLeft' : '向左对齐',
	'table.alignCenter' : '置中',
	'table.alignRight' : '向右对齐',
	'table.alignTop' : '靠上',
	'table.alignMiddle' : '置中',
	'table.alignBottom' : '靠下',
	'table.alignBaseline' : '基线',
	'table.border' : '表格边框',
	'table.borderWidth' : '边框',
	'table.borderColor' : '颜色',
	'table.backgroundColor' : '背景颜色',
	'map.address' : '住所: ',
	'map.search' : '寻找',
	'baidumap.address' : '住所: ',
	'baidumap.search' : '寻找',
	'baidumap.insertDynamicMap' : '插入动态地图',
	'anchor.name' : '锚点名称',
	'formatblock.formatBlock' : {
		h1 : '标题 1',
		h2 : '标题 2',
		h3 : '标题 3',
		h4 : '标题 4',
		p : '一般'
	},
	'fontname.fontName' : {
		'MingLiU' : '细明体',
		'PMingLiU' : '新细明体',
		'DFKai-SB' : '标楷体',
		'SimSun' : '宋体',
		'NSimSun' : '新宋体',
		'FangSong' : '仿宋体',
		'Arial' : 'Arial',
		'Arial Black' : 'Arial Black',
		'Times New Roman' : 'Times New Roman',
		'Courier New' : 'Courier New',
		'Tahoma' : 'Tahoma',
		'Verdana' : 'Verdana'
	},
	'lineheight.lineHeight' : [
		{'1' : '单倍行距'},
		{'1.5' : '1.5倍行距'},
		{'2' : '2倍行距'},
		{'2.5' : '2.5倍行距'},
		{'3' : '3倍行距'}
	],
	'template.selectTemplate' : '可选样板',
	'template.replaceContent' : '取代当前内容',
	'template.fileList' : {
		'1.html' : '影像和文字',
		'2.html' : '表格',
		'3.html' : '项目清单'
	}
}, 'zh-TW');

KindEditor.each(KindEditor.options.items, function(i, name) {
	if (name == 'baidumap') {
		KindEditor.options.items[i] = 'map';
	}
});
KindEditor.options.langType = 'zh-TW';