<?php

define("JIEQI_MODULE_NAME", "article");

if (!defined("JIEQI_GLOBAL_INCLUDE")) {
	include_once ("../../global.php");
}

if (isset($_REQUEST["id"])) {
	$_REQUEST["id"] = intval($_REQUEST["id"]);
}

if (isset($_REQUEST["acode"]) && !preg_match("/^[a-z0-9_]+$/i", $_REQUEST["acode"])) {
	$_REQUEST["acode"] = "";
}

if ((empty($_REQUEST["id"]) || !is_numeric($_REQUEST["id"])) && empty($_REQUEST["acode"])) {
	jieqi_printfail(LANG_ERROR_PARAMETER);
}

include_once (JIEQI_ROOT_PATH . "/header.php");
jieqi_getconfigs(JIEQI_MODULE_NAME, "configs");
$jieqiTset["jieqi_contents_template"] = $jieqiModules["article"]["path"] . "/templates/reviewsdo.html";
if (empty($_REQUEST["id"]) && !empty($_REQUEST["acode"])) {
	$jieqiTset["jieqi_contents_cacheid"] = $_REQUEST["acode"];
}
else {
	$jieqiTset["jieqi_contents_cacheid"] = $_REQUEST["id"];
}

$content_used_cache = false;

if (JIEQI_USE_CACHE) {
	$jieqiTpl->setCaching(1);
	$jieqiTpl->setCachType(1);

	if ($jieqiTpl->is_cached($jieqiTset["jieqi_contents_template"], $jieqiTset["jieqi_contents_cacheid"], NULL, NULL, NULL, false)) {
		$content_used_cache = true;
	}
}
else {
	$jieqiTpl->setCaching(0);
}

if (!$content_used_cache) {
	jieqi_loadlang("article", JIEQI_MODULE_NAME);
	include_once ($jieqiModules["article"]["path"] . "/class/article.php");
	$article_handler = &JieqiArticleHandler::getInstance("JieqiArticleHandler");
	if (empty($_REQUEST["id"]) && !empty($_REQUEST["acode"])) {
		$article = $article_handler->get($_REQUEST["acode"], "articlecode");
	}
	else {
		$article = $article_handler->get($_REQUEST["id"]);
	}

	$result = mysql_query("select articleid from jieqi_article_bookcase where userid = $_SESSION[jieqiUserId] and articleid = {$article->getVar(\"articleid\")}");
	$result1 = mysql_query("select sum(actnum) as nums from jieqi_article_actlog where articleid = {$article->getVar(\"articleid\")}");
	$result3 = mysql_query("select count(topicid) as areviewsnum from jieqi_article_reviews where ownerid = {$_REQUEST["id"]}");
	$result4 = mysql_query("select count(hurryid) as completenum from jieqi_article_hurry where payflag = 1 AND articleid = {$_REQUEST["id"]}");
	$result5 = mysql_query("select count(hurryid) as allnum from jieqi_article_hurry where articleid = {$_REQUEST["id"]}");
	$result6 = mysql_query("SELECT COUNT(allvote) as topvote FROM jieqi_article_article\n    WHERE allvote > (SELECT allvote  FROM jieqi_article_article WHERE articleid={$_REQUEST["id"]})");
	$result7 = mysql_query("SELECT allvote FROM jieqi_article_article WHERE allvote > {$article->getVar(\"allvote\")} ORDER BY allvote asc");
	$result8 = mysql_query("SELECT max(allvote) as allvote, max(allvisit) as allvisit, max(size) as size FROM jieqi_article_article");
	$result2 = mysql_query("SELECT COUNT(allvisit) as topvisit FROM jieqi_article_article\n    WHERE allvisit > (SELECT allvisit  FROM jieqi_article_article WHERE articleid={$_REQUEST["id"]})");
	$result9 = mysql_query("SELECT allvisit FROM jieqi_article_article WHERE allvisit > {$article->getVar(\"allvisit\")} ORDER BY allvisit asc");
	$result10 = mysql_query("SELECT COUNT(size) as topsize FROM jieqi_article_article\n    WHERE size > (SELECT size  FROM jieqi_article_article WHERE articleid={$_REQUEST["id"]})");
	$result11 = mysql_query("SELECT size FROM jieqi_article_article WHERE size > {$article->getVar(\"size\")} ORDER BY size asc");

	if (0 < $_SESSION["jieqiUserId"]) {
		$row = mysql_fetch_array($result);
	}

	$row1 = mysql_fetch_array($result1);
	$row4 = mysql_fetch_array($result4);
	$row5 = mysql_fetch_array($result5);
	$row6 = mysql_fetch_array($result6);
	$row7 = mysql_fetch_array($result7);
	$row8 = mysql_fetch_array($result8);
	$row2 = mysql_fetch_array($result2);
	$row9 = mysql_fetch_array($result9);
	$row10 = mysql_fetch_array($result10);
	$row11 = mysql_fetch_array($result11);
	$ptitle = $_REQUEST["ptitle"];
	$jieqiTpl->assign("ptitle", $ptitle);

	if (empty($row5["allnum"])) {
		$hurrynum = 100;
	}
	else {
		$hurrynum = intval(($row4["completenum"] / $row5["allnum"]) * 100);
	}

	$experience = intval(trim($jieqiConfigs["article"]["experience"]));

	if ($experience == 0) {
		$percentage = 0;
	}
	else {
		$percentage = ($row1["nums"] / $experience) * 100;
	}

	if (empty($row1["nums"])) {
		$jieqiTpl->assign("giftnums", "0");
	}
	else {
		$jieqiTpl->assign("giftnums", $row1["nums"]);
	}

	$jieqiTpl->assign("percentage", $percentage);
	$jieqiTpl->assign("experience", $experience);

	if (!empty($row)) {
		$jieqiTpl->assign("bookid", $row["articleid"]);
	}

	$jieqiTpl->assign("hurrynum", $hurrynum);
	$jieqiTpl->assign("topvote", $row6["topvote"] + 1);
	$jieqiTpl->assign("topvisit", $row2["topvisit"] + 1);
	$jieqiTpl->assign("topsize", $row10["topsize"] + 1);
	if ((1 < ($row6["topvote"] + 1)) || (1 < ($row2["topvisit"] + 1)) || (1 < ($row10["topsize"] + 1))) {
		$jieqiTpl->assign("votenums", intval($row7["allvote"] - $article->getVar("allvote")));
		$jieqiTpl->assign("visitnums", intval($row9["allvisit"] - $article->getVar("allvisit")));
		$jieqiTpl->assign("sizenums", jieqi_sizeformat($row11["size"] - $article->getVar("size"), "c"));

		if (!empty($row8["allvote"])) {
			$jieqiTpl->assign("votethan", ($article->getVar("allvote") / $row8["allvote"]) * 100);
		}

		if (!empty($row8["allvisit"])) {
			$jieqiTpl->assign("visitthan", ($article->getVar("allvisit") / $row8["allvisit"]) * 100);
		}

		if (!empty($row8["size"])) {
			$jieqiTpl->assign("sizethan", ($article->getVar("size") / $row8["size"]) * 100);
		}
	}
	else {
		$jieqiTpl->assign("votethan", 100);
		$jieqiTpl->assign("visitthan", 100);
		$jieqiTpl->assign("sizethan", 100);
	}

	if (!$article) {
		jieqi_printfail($jieqiLang["article"]["article_not_exists"]);
	}
	else {
		if (($article->getVar("display") != 0) && ($jieqiUsersStatus != JIEQI_GROUP_ADMIN)) {
			if ($article->getVar("display") == 1) {
				jieqi_printfail($jieqiLang["article"]["article_not_audit"]);
			}
			else {
				jieqi_printfail($jieqiLang["article"]["article_not_exists"]);
			}
		}
		else {
			if ($article->getVar("display") != 0) {
				$jieqiTpl->setCaching(0);
				$jieqiConfigs["article"]["makehtml"] = 0;
			}

			include_once (JIEQI_ROOT_PATH . "/class/users.php");
			$users_handler = &JieqiUsersHandler::getInstance("JieqiUsersHandler");
			$users = $users_handler->get($_SESSION["jieqiUserId"]);
			$egoldnums = $users->vars["egold"]["value"];
			$_REQUEST["class"] = $article->getVar("sortid");
			$_REQUEST["sortid"] = $article->getVar("sortid");
			jieqi_getconfigs("article", "sort", "jieqiSort");
			jieqi_getconfigs("article", "option", "jieqiOption");
			$jieqiTpl->assign("flowerprice", $jieqiConfigs["article"]["flower"]);
			$jieqiTpl->assign("eggprice", $jieqiConfigs["article"]["egg"]);
			$article_static_url = (empty($jieqiConfigs["article"]["staticurl"]) ? $jieqiModules["article"]["url"] : $jieqiConfigs["article"]["staticurl"]);
			$article_dynamic_url = (empty($jieqiConfigs["article"]["dynamicurl"]) ? $jieqiModules["article"]["url"] : $jieqiConfigs["article"]["dynamicurl"]);
			$jieqiTpl->assign("article_static_url", $article_static_url);
			$jieqiTpl->assign("article_dynamic_url", $article_dynamic_url);
			$jieqiTpl->assign("makefull", $jieqiConfigs["article"]["makefull"]);
			$jieqiTpl->assign("makezip", $jieqiConfigs["article"]["makezip"]);
			$jieqiTpl->assign("makejar", $jieqiConfigs["article"]["makejar"]);
			$jieqiTpl->assign("makeumd", $jieqiConfigs["article"]["makeumd"]);
			$jieqiTpl->assign("maketxtfull", $jieqiConfigs["article"]["maketxtfull"]);
			$jieqiTpl->assign("maketxt", $jieqiConfigs["article"]["maketxt"]);
			$jieqiTpl->assign("ratemax", intval($jieqiConfigs["article"]["maxrates"]));
			$jieqiTpl->assign("egoldnums", $egoldnums);
			include_once ($jieqiModules["article"]["path"] . "/include/funarticle.php");
			$articlevals = jieqi_article_vars($article, true);
			$jieqiTpl->assign_by_ref("articlevals", $articlevals);

			foreach ($articlevals as $k => $v ) {
				$jieqiTpl->assign($k, $articlevals[$k]);
			}

			if (2.1 <= floatval(JIEQI_VERSION)) {
				$keywords = $article->getVar("keywords", "n");
				include_once (JIEQI_ROOT_PATH . "/include/funtag.php");
				$tags = jieqi_tag_clean($keywords);
				$tagrows = array();

				foreach ($tags as $k => $v ) {
					$tagrows[$k]["tagname"] = jieqi_htmlstr($v);
					$tagrows[$k]["tagencode"] = (empty($charset_convert_out) ? urlencode($v) : urlencode($charset_convert_out($v)));
				}

				$jieqiTpl->assign_by_ref("tagrows", $tagrows);
			}

			$setting = unserialize($article->getVar("setting", "n"));

			if (0 < $jieqiConfigs["article"]["eachlinknum"]) {
				$eachlinkrows = array();
				$eachlinkcount = 0;

				if (!empty($setting["eachlink"]["ids"])) {
					foreach ($setting["eachlink"]["ids"] as $k => $v ) {
						$eachlinkrows[$eachlinkcount]["articleid"] = $v;
						$eachlinkrows[$eachlinkcount]["articlename"] = jieqi_htmlstr($setting["eachlink"]["names"][$k]);
						$eachlinkrows[$eachlinkcount]["articlesubdir"] = jieqi_getsubdir($v);
						$tmpvar = (isset($setting["eachlink"]["codes"][$k]) ? $setting["eachlink"]["codes"][$k] : "");
						$eachlinkrows[$eachlinkcount]["url_articleinfo"] = jieqi_geturl("article", "article", $v, "info", $tmpvar);
						$eachlinkcount++;
					}
				}

				$jieqiTpl->assign("eachlinknum", $jieqiConfigs["article"]["eachlinknum"]);
				$jieqiTpl->assign("eachlinkcount", $eachlinkcount);
				$jieqiTpl->assign_by_ref("eachlinkrows", $eachlinkrows);
			}
			else {
				$jieqiTpl->assign("eachlinknum", 0);
				$jieqiTpl->assign("eachlinkcount", 0);
			}

			$showvote = 0;
			$jieqiConfigs["article"]["articlevote"] = intval($jieqiConfigs["article"]["articlevote"]);
			if ((0 < $jieqiConfigs["article"]["articlevote"]) && isset($setting["avoteid"]) && (0 < $setting["avoteid"])) {
				include_once ($jieqiModules["article"]["path"] . "/class/avote.php");
				$avote_handler = &JieqiAvoteHandler::getInstance("JieqiAvoteHandler");
				$avote = $avote_handler->get($setting["avoteid"]);

				if (is_object($avote)) {
					$jieqiTpl->assign("voteid", $avote->getVar("voteid"));
					$jieqiTpl->assign("votetitle", $avote->getVar("title"));
					$jieqiTpl->assign("mulselect", $avote->getVar("mulselect"));
					$useitem = $avote->getVar("useitem", "n");
					$voteitemrows = array();

					for ($i = 1; $i <= $useitem; $i++) {
						$voteitemrows[$i - 1]["id"] = $i;
						$voteitemrows[$i - 1]["item"] = $avote->getVar("item" . $i);
					}

					$jieqiTpl->assign_by_ref("voteitemrows", $voteitemrows);
					$showvote = 1;
				}
			}

			$jieqiTpl->assign("showvote", $showvote);

			if (!isset($jieqiConfigs["system"])) {
				jieqi_getconfigs("system", "configs");
			}

			$jieqiTpl->assign("postcheckcode", $jieqiConfigs["system"]["postcheckcode"]);
		}
	}
}

if (!isset($jieqiConfigs["article"]["visitstatnum"]) || !empty($jieqiConfigs["article"]["visitstatnum"])) {
	include_once ($jieqiModules["article"]["path"] . "/articlevisit.php");
}

$jieqiTpl->assign("lollipopprice", intval($jieqiConfigs["article"]["lollipop"]));
$jieqiTpl->assign("beerprice", intval($jieqiConfigs["article"]["beer"]));
$jieqiTpl->assign("chocolateprice", intval($jieqiConfigs["article"]["chocolate"]));
$jieqiTpl->assign("Bluedemonjiprice", intval($jieqiConfigs["article"]["Bluedemonji"]));
$jieqiTpl->assign("diamondprice", intval($jieqiConfigs["article"]["diamond"]));
include_once (JIEQI_ROOT_PATH . "/footer.php");

?>
