<?php

class AlipayNotify
{
	/**
     * HTTPS褰㈠纺娑堟伅楠岃瘉鍦板潃
     */
	public $https_verify_url = "https://mapi.alipay.com/gateway.do?service=notify_verify&";
	/**
     * HTTP褰㈠纺娑堟伅楠岃瘉鍦板潃
     */
	public $http_verify_url = "http://notify.alipay.com/trade/notify_query.do?";
	public $alipay_config;

	public function __construct($alipay_config)
	{
		$this->alipay_config = $alipay_config;
	}

	public function AlipayNotify($alipay_config)
	{
		$this->__construct($alipay_config);
	}

	/**
     * 阍埚notify_url楠岃瘉娑堟伅鏄惁鏄敮浠桦疂鍙戝嚭镄勫悎娉曟秷鎭?
     * @return 楠岃瘉缁撴灉
     */
	public function verifyNotify()
	{
		if (empty($_POST)) {
			return false;
		}
		else {
			$isSign = $this->getSignVeryfy($_POST, $_POST["sign"]);
			$responseTxt = "false";

			if (!empty($_POST["notify_id"])) {
				$responseTxt = $this->getResponse($_POST["notify_id"]);
			}

			if ($isSign) {
				$isSignStr = "true";
			}
			else {
				$isSignStr = "false";
			}

			$log_text = "responseTxt=" . $responseTxt . "\n notify_url_log:isSign=" . $isSignStr . ",";
			$log_text = $log_text . createLinkString($_POST);
			logResult($log_text);
			if (preg_match("/true$/i", $responseTxt) && $isSign) {
				return true;
			}
			else {
				return false;
			}
		}
	}

	/**
     * 阍埚return_url楠岃瘉娑堟伅鏄惁鏄敮浠桦疂鍙戝嚭镄勫悎娉曟秷鎭?
     * @return 楠岃瘉缁撴灉
     */
	public function verifyReturn()
	{
		if (empty($_GET)) {
			return false;
		}
		else {
			$isSign = $this->getSignVeryfy($_GET, $_GET["sign"]);
			$responseTxt = "false";

			if (!empty($_GET["notify_id"])) {
				$responseTxt = $this->getResponse($_GET["notify_id"]);
			}

			if ($isSign) {
				$isSignStr = "true";
			}
			else {
				$isSignStr = "false";
			}

			$log_text = "responseTxt=" . $responseTxt . "\n return_url_log:isSign=" . $isSignStr . ",";
			$log_text = $log_text . createLinkString($_GET);
			logResult($log_text);
			if (preg_match("/true$/i", $responseTxt) && $isSign) {
				return true;
			}
			else {
				return false;
			}
		}
	}

	/**
     * 銮峰彇杩斿洖镞剁殑绛惧悕楠岃瘉缁撴灉
     * @param $para_temp 阃氱煡杩斿洖鏉ョ殑鍙傛暟鏁扮粍
     * @param $sign 杩斿洖镄勭鍚岖粨鏋?
     * @return 绛惧悕楠岃瘉缁撴灉
     */
	public function getSignVeryfy($para_temp, $sign)
	{
		$para_filter = paraFilter($para_temp);
		$para_sort = argSort($para_filter);
		$prestr = createLinkstring($para_sort);
		$isSgin = false;

		switch (strtoupper(trim($this->alipay_config["sign_type"]))) {
		case "MD5":
			$isSgin = md5Verify($prestr, $sign, $this->alipay_config["key"]);
			break;

		default:
			$isSgin = false;
		}

		return $isSgin;
	}

	/**
     * 銮峰彇杩灭▼链嶅姟鍣ˋTN缁撴灉,楠岃瘉杩斿洖URL
     * @param $notify_id 阃氱煡镙￠獙ID
     * @return 链嶅姟鍣ˋTN缁撴灉
     * 楠岃瘉缁撴灉板嗭细
     * invalid锻戒护鍙傛暟涓嶅 鍑虹幇杩欎釜阌栾锛岃妫EUR娴嬭繑锲炲鐞嗕腑partner鍜宬ey鏄惁涓虹┖ 
     * true 杩斿洖姝ｇ‘淇℃伅
     * false 璇锋镆ラ槻鐏鎴栬EUR呮槸链嶅姟鍣ㄩ樆姝㈢鍙ｉ棶棰树互鍙婇獙璇佹椂闂存槸鍚﹁秴杩囦竴鍒嗛挓
     */
	public function getResponse($notify_id)
	{
		$transport = strtolower(trim($this->alipay_config["transport"]));
		$partner = trim($this->alipay_config["partner"]);
		$veryfy_url = "";

		if ($transport == "https") {
			$veryfy_url = $this->https_verify_url;
		}
		else {
			$veryfy_url = $this->http_verify_url;
		}

		$veryfy_url = $veryfy_url . "partner=" . $partner . "&notify_id=" . $notify_id;
		$responseTxt = getHttpResponseGET($veryfy_url, $this->alipay_config["cacert"]);
		return $responseTxt;
	}
}

require_once ("alipay_core.function.php");
require_once ("alipay_md5.function.php");

?>
