<?php

@define("JIEQI_MODULE_NAME", "pay");
@define("JIEQI_PAY_TYPE", "weixinpay");
header("Content-type: text/html; charset=utf-8");
require_once ("../../global.php");
jieqi_loadlang("pay", "pay");

if (!jieqi_checklogin(true)) {
	jieqi_printfail($jieqiLang["pay"]["need_login"]);
}

header("Content-Type: text/html;charset=utf8");

if (empty($_SESSION["jumpurl"])) {
	$url = $_SESSION["jumpurl"] = "/";
}
else {
	$url = urldecode($_SESSION["jumpurl"]);
}

include ("../../configs/pay/weixinpay.php");
include ($jieqiModules["pay"]["path"] . "/wxpay/WxPay.Api.php");
include ($jieqiModules["pay"]["path"] . "/wxpay/WxPay.JsApiPay.php");

if (!$_GET["code"]) {
	include ($jieqiModules["pay"]["path"] . "/include/paystart.php");
}

$tools = new JsApiPay();
$openId = $tools->GetOpenid();

if (isset($_COOKIE["weixinpay"])) {
	$note = encryption($_COOKIE["weixinpay"], 1);
	include_once ($jieqiModules["pay"]["path"] . "/class/paylog.php");
	$paylog_handler = JieqiPaylogHandler::getInstance("JieqiPaylogHandler");
	$paylog = $paylog_handler->get($note, "note");
	setcookie("weixinpay", encryption($out_trade_no), time() - 3600, "/");
}
else {
	jieqi_printfail($jieqiLang["pay"]["no_buy_record"]);
}

$input = new WxPayUnifiedOrder();
$input->SetBody(iconv("GB2312", "UTF-8", JIEQI_EGOLD_NAME));
$input->SetAttach(iconv("GB2312", "UTF-8", JIEQI_EGOLD_NAME));
$input->SetOut_trade_no($paylog->getVar("note"));
$input->SetTotal_fee($paylog->getVar("egold"));
$input->SetTime_start(date("YmdHis"));
$input->SetTime_expire(date("YmdHis", time() + 600));
$input->SetGoods_tag(iconv("GB2312", "UTF-8", JIEQI_EGOLD_NAME));
$input->SetNotify_url($jieqiPayset[JIEQI_PAY_TYPE]["notify_url"]);
$input->SetTrade_type("JSAPI");
$input->SetOpenid($openId);
$order = WxPayApi::unifiedOrder($input);
$jsApiParameters = $tools->GetJsApiParameters($order);
echo "<html>\n<head>\n    <meta http-equiv=\"content-type\" content=\"text/html;charset=utf8\"/>\n    <meta name=\"viewport\" content=\"width=device-width, initial-scale=1\"/>\n    <script type=\"text/javascript\" src=\"";
echo JIEQI_MOBILE_URL;
echo "/scripts/skin/jquery.min.js\"></script>\n    <title>微信支付</title>\n    <script type=\"text/javascript\">\n        //调用微信JS api 支付\n        function jsApiCall() {\n            WeixinJSBridge.invoke(\n                'getBrandWCPayRequest',\n                ";
echo $jsApiParameters;
echo ",\n                function (res) {\n                    if (res.err_msg == 'get_brand_wcpay_request:ok') {\n                        window.location.href = \"";
echo $url;
echo "\";\n                    }\n                    else {\n                        alert(\"支付失败！\");\n                    }\n                }\n            );\n        }\n\n        function callpay() {\n            if (typeof WeixinJSBridge == \"undefined\") {\n                if (document.addEventListener) {\n                    document.addEventListener('WeixinJSBridgeReady', jsApiCall, false);\n                } else if (document.attachEvent) {\n                    document.attachEvent('WeixinJSBridgeReady', jsApiCall);\n                    document.attachEvent('onWeixinJSBridgeReady', jsApiCall);\n                }\n            } else {\n                jsApiCall();\n            }\n        }\n\t\tcallpay();\n    </script>\n</head>\n<body>\n<br/>\n<font align=\"center\" color=\"#9ACD32\"><b>该笔订单支付金额为<span\n            style=\"color:#f00;font-size:50px\">";
echo $paylog->getVar("egold") / 100;
echo "</span>元钱</b></font><br/><br/>\n<div align=\"center\">\n    <button\n        style=\"width:210px; height:50px; border-radius: 15px;background-color:#FE6714; border:0px #FE6714 solid; cursor: pointer;  color:white;  font-size:16px;\"\n        name=\"apiopen\" type=\"button\" onclick=\"callpay()\">立即支付\n    </button>\n</div>\n</body>\n</html>";

?>
