<?php

define("JIEQI_MODULE_NAME", "pay");
define("JIEQI_PAY_TYPE", "weixinpay");
require_once ("../../global.php");
jieqi_loadlang("pay", JIEQI_MODULE_NAME);
include ("../../configs/pay/weixinpay.php");
include ($jieqiModules["pay"]["path"] . "/include/funweixinpay.php");
include ($jieqiModules["pay"]["path"] . "/log.php");
$logHandler = new CLogFileHandler(JIEQI_ROOT_PATH . "/files/pay/log/" . JIEQI_PAY_TYPE . date("Y-m-d") . ".log");
$log = Log::Init($logHandler, 15);
$data = FromXml($GLOBALS["HTTP_RAW_POST_DATA"]);
$result = orderQuery($data);
Log::DEBUG("查询结果:" . json_encode($result));
if (isset($result["return_code"]) && isset($result["result_code"]) && ($result["return_code"] == "SUCCESS") && ($result["result_code"] == "SUCCESS")) {
	$return = array("return_code" => "SUCCESS", "return_msg" => "OK");
	Log::DEBUG("状态:" . json_encode($return));
	echo ToXml($return);
}
else {
	$return = array("return_code" => "FAIL", "return_msg" => "交易失败");
	Log::DEBUG("状态:" . json_encode($return));
	echo ToXml($return);
	exit();
}

if ((strtolower($result["appid"]) == WxPayConfig::APPID) || (strtolower($result["mch_id"]) == WxPayConfig::MCHID)) {
	include_once ($jieqiModules["pay"]["path"] . "/class/paylog.php");
	$paylog_handler = JieqiPaylogHandler::getInstance("JieqiPaylogHandler");
	$orderid = $result["out_trade_no"];
	$criteria = new CriteriaCompo(new Criteria("note", $orderid, "="));
	$paylog_handler->queryObjects($criteria);
	$paylog = $paylog_handler->getObject();

	if (is_object($paylog)) {
		$buyname = $paylog->getVar("buyname");
		$buyid = $paylog->getVar("buyid");
		$payflag = $paylog->getVar("payflag");
		$egold = $paylog->getVar("egold");
		$money = $paylog->getVar("money");

		if ($payflag == 0) {
			if (intval($egold) == 36500) {
				jieqi_includedb();
				$query = JieqiQueryHandler::getInstance("JieqiQueryHandler");
				$sql = "UPDATE " . jieqi_dbprefix("system_users") . " SET vipstartTime = " . time() . ",overtime= " . strtotime((date("Y", time()) + 1) . "-" . date("m-d H:i:s")) . " WHERE uid = " . $buyid;
				$ret = $query->execute($sql);

				if ($ret) {
					jieqi_msgwin(LANG_DO_SUCCESS, "包年成功...");
				}
			}
			else {
				include_once (JIEQI_ROOT_PATH . "/class/users.php");
				$users_handler = &JieqiUsersHandler::getInstance("JieqiUsersHandler");
				$paysilver = (empty($jieqiPayset[JIEQI_PAY_TYPE]["paysilver"]) ? 0 : intval($jieqiPayset[JIEQI_PAY_TYPE]["paysilver"]));
				$payscore = (empty($jieqiPayset[JIEQI_PAY_TYPE]["payrate"]) ? 0 : floor(($money * $jieqiPayset[JIEQI_PAY_TYPE]["payrate"]) / 100));

				switch ($egold) {
				case 2000:
					$egold = 2100;
					break;

				case 3000:
					$egold = 3500;
					break;

				case 5000:
					$egold = 6000;
					break;

				default:
					break;
				}

				$ret = $users_handler->income($buyid, $egold, 0, 100);

				if ($ret) {
					$note = sprintf($jieqiLang["pay"]["add_egold_success"], $buyname, JIEQI_EGOLD_NAME, $egold);
				}
				else {
					$note = sprintf($jieqiLang["pay"]["add_egold_failure"], $buyid, $buyname, JIEQI_EGOLD_NAME, $egold);
				}

				Log::DEBUG("逻辑处理结果:" . $note);
				$paylog->setVar("rettime", JIEQI_NOW_TIME);
				$paylog->setVar("retserialno", $result["transaction_id"]);
				$paylog->setVar("retinfo", $result["time_end"]);
				$paylog->setVar("note", $note);
				$paylog->setVar("payflag", 1);

				if (!$paylog_handler->insert($paylog)) {
					jieqi_printfail($jieqiLang["pay"]["save_paylog_failure"]);
				}
				else {
					jieqi_msgwin(LANG_DO_SUCCESS, sprintf($jieqiLang["pay"]["buy_egold_success"], $buyname, JIEQI_EGOLD_NAME, $egold));
				}
			}
		}
		else {
			jieqi_msgwin(LANG_DO_SUCCESS, sprintf($jieqiLang["pay"]["buy_already_success"], $buyname, JIEQI_EGOLD_NAME, $egold));
		}
	}
	else {
		jieqi_printfail($jieqiLang["pay"]["no_buy_record"]);
	}
}
else {
	Log::DEBUG("状态:失败！");
	jieqi_printfail($jieqiLang["pay"]["return_checkcode_error"]);
}

?>
