<?php

define("JIEQI_MODULE_NAME", "article");
require_once ("../../../global.php");
jieqi_getconfigs(JIEQI_MODULE_NAME, "power");
jieqi_checkpower($jieqiPower["article"]["manageallreview"], $jieqiUsersStatus, $jieqiUsersGroup, false, true);
jieqi_getconfigs(JIEQI_MODULE_NAME, "configs");
jieqi_getconfigs("article", "action", "jieqiAction");
$article_static_url = (empty($jieqiConfigs["article"]["staticurl"]) ? $jieqiModules["article"]["url"] : $jieqiConfigs["article"]["staticurl"]);
$article_dynamic_url = (empty($jieqiConfigs["article"]["dynamicurl"]) ? $jieqiModules["article"]["url"] : $jieqiConfigs["article"]["dynamicurl"]);
include_once ($jieqiModules["article"]["path"] . "/class/review.php");
$review_handler = &JieqiReviewHandler::getInstance("JieqiReviewHandler");
if (isset($_REQUEST["action"]) && !empty($_REQUEST["rid"])) {
	$actreview = $review_handler->get($_REQUEST["rid"]);

	if (is_object($actreview)) {
		$criteria = new CriteriaCompo(new Criteria("reviewid", $_REQUEST["rid"]));

		switch ($_REQUEST["action"]) {
		case "top":
			$review_handler->updatefields(array("topflag" => 1), $criteria);
			break;

		case "untop":
			$review_handler->updatefields(array("topflag" => 0), $criteria);
			break;

		case "good":
			$review_handler->updatefields(array("goodflag" => 1), $criteria);
			include_once (JIEQI_ROOT_PATH . "/class/users.php");
			$users_handler = &JieqiUsersHandler::getInstance("JieqiUsersHandler");

			if ($actreview->getVar("userid") == $_SESSION["jieqiUserId"]) {
				$users_handler->changeScore($_SESSION["jieqiUserId"], $jieqiAction["article"]["reviewgood"]["earnscore"], true);
			}
			else {
				$users_handler->changeScore($actreview->getVar("userid"), $jieqiAction["article"]["reviewgood"]["earnscore"], true);
			}

			break;

		case "normal":
			if ($actreview->getVar("goodflag") == 1) {
				$review_handler->updatefields(array("goodflag" => 0), $criteria);
				include_once (JIEQI_ROOT_PATH . "/class/users.php");
				$users_handler = &JieqiUsersHandler::getInstance("JieqiUsersHandler");

				if ($actreview->getVar("userid") == $_SESSION["jieqiUserId"]) {
					$users_handler->changeScore($_SESSION["jieqiUserId"], $jieqiAction["article"]["reviewgood"]["earnscore"], false);
				}
				else {
					$users_handler->changeScore($actreview->getVar("userid"), $jieqiAction["article"]["reviewgood"]["earnscore"], false);
				}
			}

			break;

		case "del":
			$review_handler->delete($criteria);
			include_once (JIEQI_ROOT_PATH . "/class/users.php");
			$users_handler = &JieqiUsersHandler::getInstance("JieqiUsersHandler");

			if ($actreview->getVar("userid") == $_SESSION["jieqiUserId"]) {
				$users_handler->changeScore($_SESSION["jieqiUserId"], $jieqiAction["article"]["reviewadd"]["earnscore"], false);
			}
			else {
				$users_handler->changeScore($actreview->getVar("userid"), $jieqiAction["article"]["reviewadd"]["earnscore"], false);
			}

			break;
		}

		unset($criteria);
	}
}
else {
	if (isset($_REQUEST["batchdel"]) && ($_REQUEST["batchdel"] == 1) && is_array($_REQUEST["checkid"]) && (0 < count($_REQUEST["checkid"]))) {
		include_once (JIEQI_ROOT_PATH . "/class/users.php");
		$users_handler = &JieqiUsersHandler::getInstance("JieqiUsersHandler");
		$where = "";

		foreach ($_REQUEST["checkid"] as $v ) {
			if (is_numeric($v)) {
				$v = intval($v);

				if (!empty($where)) {
					$where .= " OR ";
				}

				$where .= $review_handler->autoid . "=" . $v;
			}
		}

		if (!empty($where)) {
			$sql = "SELECT reviewid, userid FROM " . jieqi_dbprefix("article_review") . " WHERE " . $where;
			$res = $review_handler->execute($sql);

			while ($actreview = $review_handler->getObject($res)) {
				if ($actreview->getVar("userid") == $_SESSION["jieqiUserId"]) {
					$users_handler->changeScore($_SESSION["jieqiUserId"], $jieqiAction["article"]["reviewadd"]["earnscore"], false);
				}
				else {
					$users_handler->changeScore($actreview->getVar("userid"), $jieqiAction["article"]["reviewadd"]["earnscore"], false);
				}
			}

			$sql = "DELETE FROM " . jieqi_dbprefix("article_review") . " WHERE " . $where;
			$review_handler->execute($sql);
		}
	}
}

$jieqiTset["jieqi_contents_template"] = $jieqiModules["article"]["path"] . "/templates/admin/review.html";
include_once (JIEQI_ROOT_PATH . "/admin/header.php");
$jieqiPset = jieqi_get_pageset();
$jieqiTpl->assign("article_static_url", $article_static_url);
$jieqiTpl->assign("article_dynamic_url", $article_dynamic_url);
include_once (JIEQI_ROOT_PATH . "/lib/text/textfunction.php");
$jieqiTpl->assign("url_review", $article_dynamic_url . "/admin/review.php");
$jieqiTpl->assign("checkall", "<input type=\"checkbox\" id=\"checkall\" name=\"checkall\" value=\"checkall\" onclick=\"javascript: for (var i=0;i<this.form.elements.length;i++){ if (this.form.elements[i].name != 'checkkall') this.form.elements[i].checked = form.checkall.checked; }\">");
$criteria = new CriteriaCompo();

if (!empty($_REQUEST["keyword"])) {
	$_REQUEST["keyword"] = trim($_REQUEST["keyword"]);

	if ($_REQUEST["keytype"] == 1) {
		$criteria->add(new Criteria("username", $_REQUEST["keyword"], "="));
	}
	else {
		$criteria->add(new Criteria("articlename", $_REQUEST["keyword"], "="));
	}
}

if (isset($_REQUEST["type"]) && ($_REQUEST["type"] == "good")) {
	$criteria->add(new Criteria("goodflag", 1));
}
else {
	$_REQUEST["type"] = "all";
}

$criteria->setSort("reviewid");
$criteria->setOrder("DESC");
$criteria->setLimit($jieqiPset["rows"]);
$criteria->setStart($jieqiPset["start"]);
$review_handler->queryObjects($criteria);
$reviewrows = array();
$k = 0;

while ($v = $review_handler->getObject()) {
	$start = 3;

	if ($v->getVar("topflag") == 1) {
		$reviewrows[$k]["topflag"] = 1;
		$start += 4;
	}
	else {
		$reviewrows[$k]["topflag"] = 0;
	}

	if ($v->getVar("goodflag") == 1) {
		$reviewrows[$k]["goodflag"] = 1;
		$start += 4;
	}
	else {
		$reviewrows[$k]["goodflag"] = 0;
	}

	$reviewrows[$k]["postdate"] = date(JIEQI_DATE_FORMAT . " " . JIEQI_TIME_FORMAT, $v->getVar("postdate"));
	$reviewrows[$k]["userid"] = $v->getVar("userid");
	$reviewrows[$k]["username"] = $v->getVar("username");

	if ($jieqiConfigs["article"]["reviewenter"] == "0") {
		$reviewrows[$k]["content"] = jieqi_htmlstr(jieqi_limitwidth(str_replace(array("\r", "\n"), array("", " "), $v->getVar("reviewtext", "n")), $jieqiConfigs["article"]["reviewwidth"], $start));
	}
	else {
		$reviewrows[$k]["content"] = jieqi_htmlstr(jieqi_limitwidth($v->getVar("reviewtext", "n"), $jieqiConfigs["article"]["reviewwidth"], $start));
	}

	$reviewrows[$k]["url_top"] = jieqi_addurlvars(array("action" => "top", "rid" => $v->getVar("reviewid")));
	$reviewrows[$k]["url_untop"] = jieqi_addurlvars(array("action" => "untop", "rid" => $v->getVar("reviewid")));
	$reviewrows[$k]["url_good"] = jieqi_addurlvars(array("action" => "good", "rid" => $v->getVar("reviewid")));
	$reviewrows[$k]["url_normal"] = jieqi_addurlvars(array("action" => "normal", "rid" => $v->getVar("reviewid")));
	$reviewrows[$k]["url_delete"] = jieqi_addurlvars(array("action" => "del", "rid" => $v->getVar("reviewid")));
	$reviewrows[$k]["checkbox"] = "<input type=\"checkbox\" id=\"checkid[]\" name=\"checkid[]\" value=\"" . $v->getVar("reviewid") . "\">";
	$reviewrows[$k]["articleid"] = $v->getVar("articleid");
	$reviewrows[$k]["articlename"] = $v->getVar("articlename");
	$reviewrows[$k]["url_articleinfo"] = jieqi_geturl("article", "article", $v->getVar("articleid"), "info", $v->getVar("articlecode", "n"));
	$k++;
}

$jieqiTpl->assign_by_ref("reviewrows", $reviewrows);
include_once (JIEQI_ROOT_PATH . "/lib/html/page.php");
$jieqiPset["count"] = $review_handler->getCount($criteria);
$jumppage = new JieqiPage($jieqiPset);
$jumppage->setlink("", true, true);
$jieqiTpl->assign("url_jumppage", $jumppage->whole_bar());
$jieqiTpl->setCaching(0);
include_once (JIEQI_ROOT_PATH . "/admin/footer.php");

?>
