<?php
define('JIEQI_MODULE_NAME', 'article');
require_once '../../global.php';

if (!isset($_REQUEST['action'])) {
	$_REQUEST['action'] = 'show';
}
jieqi_checklogin();
jieqi_getconfigs(JIEQI_MODULE_NAME, 'power');
jieqi_checkpower($jieqiPower['article']['apply'], $jieqiUsersStatus, $jieqiUsersGroup, false); //验证权限
//载入配置
jieqi_loadlang('apply', JIEQI_MODULE_NAME);
jieqi_getconfigs('article', 'configs', 'jieqiConfigs');
jieqi_getconfigs("article", "option", "jieqiOption");
jieqi_getconfigs('obook', 'power');

$customprice = jieqi_checkpower($jieqiPower['obook']['customprice'], $jieqiUsersStatus, $jieqiUsersGroup, true);
$article_static_url = (empty($jieqiConfigs['article']['staticurl']) ? $jieqiModules['article']['url'] : $jieqiConfigs['article']['staticurl']);
$article_dynamic_url = (empty($jieqiConfigs['article']['dynamicurl']) ? $jieqiModules['article']['url'] : $jieqiConfigs['article']['dynamicurl']);
	if($_GET['id'] == '1'){
      $gfuname = $jieqiConfigs['article']['vip'];
	  $size = $jieqiConfigs['article']['isvipsize'];
    }else if($_GET['id'] == '2'){
      $gfuname = $jieqiConfigs['article']['monthlys'];
      $size = $jieqiConfigs['article']['monthlysize'];
    }else if($_GET['id'] == '3'){
      $gfuname = $jieqiConfigs['article']['qianyue'];
	  $size = $jieqiConfigs['article']['qianyuesize'];
    }else if($_GET['id'] == '4'){
      $gfuname = $jieqiConfigs['article']['jings'];
      $size = $jieqiConfigs['article']['jingsize'];
    }else if($_GET['id'] == '5'){
      $gfuname = $jieqiConfigs['article']['fengmian'];
      $size = $jieqiConfigs['article']['fengmiansize'];
    }else if($_GET['id'] == '6'){
      $gfuname = $jieqiConfigs['article']['vipbook'];
      $size = $jieqiConfigs['article']['vipsize'];
    } 
$id = $_GET['id'];
switch ($_REQUEST['action']) {
case 'post':
          include_once JIEQI_ROOT_PATH . '/modules/article/class/article.php';
	      $article_handler = &JieqiArticleHandler::getInstance('JieqiArticleHandler');
	      $article = $article_handler->get($_POST['articleid']);
		
		 $errtext = ""; 
		if (!is_object($article)) {
			$errtext .= $jieqiLang['article']['draft_noe_article'] . '<br />';
		}
		else {
			$articlename = $article->getVar('articlename', 'n');
			$sizes = jieqi_sizeformat($article->getVar('size'), "c");
		    $vipsize = jieqi_sizeformat($article->getVar('vipsize'), "c");
		}
		
		
        if($jieqiConfigs['article']['monthlysize'] > $sizes && $_POST['type'] == 2){
			
			$errtext .= $jieqiLang['article']['apply_not_apply'] . '<br />';
		}else if($jieqiConfigs['article']['jingsize'] > $sizes && $_POST['type'] == 4){
			
			$errtext .= $jieqiLang['article']['apply_not_apply'] . '<br />';
		}else if($jieqiConfigs['article']['fengmiansize'] > $sizes && $_POST['type'] == 5){
			
			$errtext .= $jieqiLang['article']['apply_not_apply'] . '<br />';
		}else if($jieqiConfigs['article']['vipsize'] > $vipsize && $_POST['type'] == 6){
			
			$errtext .= $jieqiLang['article']['apply_not_apply'] . '<br />';
		}else if($jieqiConfigs['article']['isvipsize'] > $sizes && $_POST['type'] == 1){
			$errtext .= $jieqiLang['article']['apply_not_apply'] . '<br />';
		}else if($jieqiConfigs['article']['qianyuesize'] > $sizes && $_POST['type'] == 3){
			$errtext .= $jieqiLang['article']['apply_not_apply'] . '<br />';
		}		

    if (empty($errtext)) {
		include_once $jieqiModules['article']['path'] . '/class/apply.php';
        $apply_handler = &JieqiApplyHandler::getInstance('JieqiApplyHandler');
        $apply = $apply_handler->create();
		$apply->setVar('articleid', $_POST['articleid']);
		$apply->setVar('articlename', $articlename);
		$apply->setVar('date', JIEQI_NOW_TIME);
		$apply->setVar('userid',  $_SESSION['jieqiUserId']);
		$apply->setVar('username', $_SESSION['jieqiUserName']);
		$apply->setVar('text', $_POST['text']);
		$apply->setVar('pc', $_POST['pc']);
		$apply->setVar('type', $_POST['type']);
		
//		$apply_handler->insert($apply);
//		jieqi_jumppage($article_dynamic_url . '/Apply.php?id='.$_GET['id'].'', LANG_DO_SUCCESS, $jieqiLang['article']['article_not_yes']);
		if (!$apply_handler->insert($apply)) {
			jieqi_printfail($jieqiLang['article']['article_not_no']);
		}
		else {
			jieqi_jumppage($article_dynamic_url . '/Apply.php?id='.$_POST['type'].'', LANG_DO_SUCCESS, $jieqiLang['article']['article_not_yes']);
		}
	}
	else {
		jieqi_printfail($errtext);
	}


	break;

case 'show':
default:
	include_once JIEQI_ROOT_PATH . '/header.php';
	$jieqiTpl->assign('article_static_url', $article_static_url);
	$jieqiTpl->assign('article_dynamic_url', $article_dynamic_url);
	$articlerows = array();
	include_once $jieqiModules['article']['path'] . '/include/funarticle.php';
	include_once $jieqiModules['article']['path'] . '/class/article.php';
	$article_handler = &JieqiArticleHandler::getInstance('JieqiArticleHandler');
	$criteria = new CriteriaCompo(new Criteria('authorid', $_SESSION['jieqiUserId']));
	$criteria->setLimit(100);
	$article_handler->queryObjects($criteria);
	$k = 0;

	while ($v = $article_handler->getObject()) {
		$articlerows[$k] = jieqi_article_vars($v);
		$articlerows[$k]['size'] = jieqi_sizeformat($v->getVar('size'), "c");
		$k++;
	}

	$jieqiTpl->assign_by_ref('articlerows', $articlerows);
	include_once JIEQI_ROOT_PATH . '/modules/obook/class/obook.php';
	$obook_handler = &JieqiObookHandler::getInstance('JieqiObookHandler');
	$obook_handler->queryObjects($criteria);
	$obookrows = array();
	$k = 0;

	while ($v = $obook_handler->getObject()) {
		$obookrows[$k] = jieqi_article_vars($v);
		$obookrows[$k]['size'] = jieqi_sizeformat($v->getVar('size'), "c");
		$k++;
	}

	$jieqiTpl->assign_by_ref('obookrows', $obookrows);
	include_once $jieqiModules['article']['path'] . '/class/apply.php';
    $apply_handler = &JieqiApplyHandler::getInstance('JieqiApplyHandler');
	$jieqiPset = jieqi_get_pageset();
	$criteria = new CriteriaCompo(new Criteria('userid', $_SESSION['jieqiUserId']));
	$criteria->setLimit(100);
switch ($_REQUEST["id"]) {
case "1":
	$criteria->add(new Criteria("type", 1));
	break;

case "2":
	$criteria->add(new Criteria("type", 2));
	break;

case "3":
	$criteria->add(new Criteria("type", 3));
	break;
	
case "4":
	$criteria->add(new Criteria("type", 4));
	break;
	
case "5":
	$criteria->add(new Criteria("type", 5));
	break;
	
case "6":
	$criteria->add(new Criteria("type", 6));
	break;
}
$criteria->setSort("id");
$criteria->setOrder("DESC");
$criteria->setLimit($jieqiPset["rows"]);
$criteria->setStart($jieqiPset["start"]);
$apply_handler->queryObjects($criteria);
$applyrows = array();
$k = 0;

while ($v = $apply_handler->getObject()) {
		$applyrows[$k]['articleid'] = $v->getVar('articleid');
		$applyrows[$k]['articlename'] = $v->getVar('articlename');
		$applyrows[$k]['text'] = $v->getVar('text');
		$applyrows[$k]['texts'] = $v->getVar('texts');
		$applyrows[$k]['date'] = $v->getVar('date');
		$applyrows[$k]['typeid'] = $v->getVar('typeid');
		$applyrows[$k]['type'] = $v->getVar('type');
		$applyrows[$k]['types'] = $jieqiOption['article']['apply']['items'][$v->getVar('type')];
		$k++;
}

	$jieqiTpl->assign_by_ref('applyrows', $applyrows);
	$jieqiTpl->assign("url_jump", jieqi_addurlvars(array()));
	$jieqiTpl->assign_by_ref('_request', jieqi_funtoarray('jieqi_htmlstr', $_REQUEST));
    include_once JIEQI_ROOT_PATH . '/lib/html/page.php';
    $jieqiPset['count'] = $apply_handler->getCount($criteria);
    $jumppage = new JieqiPage($jieqiPset);
	$pagelink = "";

if (!empty($_REQUEST["id"])) {
	if (empty($pagelink)) {
		$pagelink .= "?";
	}
	else {
		$pagelink .= "&";
	}

	$pagelink .= "type=" . urlencode($_REQUEST["id"]);
}

if (empty($pagelink)) {
	$pagelink .= "?page=";
}
else {
	$pagelink .= "&page=";
}
    $jieqiTpl->assign("url_jumppage", $jumppage->whole_bar());
	$jieqiTpl->assign('gfuname', $gfuname);
    $applyname = $jieqiOption['article']['apply']['items'][$id];
	$jieqiTpl->assign('size', $size);
    $jieqiTpl->assign('applyname', $applyname);
	$jieqiTpl->assign('tid', $_GET['id']);
	$jieqiTpl->setCaching(0);
	$jieqiTset['jieqi_page_template'] = $jieqiModules['article']['path'] . '/templates/apply.html';
	include_once JIEQI_ROOT_PATH . '/footer.php';
	break;
}
?>