<?php

define('JIEQI_MODULE_NAME', 'article');
require_once '../../global.php';

//if (empty($_REQUEST['id'])) {
//	jieqi_printfail(LANG_ERROR_PARAMETER);
//}

$_REQUEST['id'] = intval($_REQUEST['id']);

if (isset($_REQUEST['acode']) && !preg_match('/^[a-z0-9_]+$/i', $_REQUEST['acode'])) {
	$_REQUEST['acode'] = '';
}

if ((empty($_REQUEST['id']) || !is_numeric($_REQUEST['id'])) && empty($_REQUEST['acode'])) {
	jieqi_printfail(LANG_ERROR_PARAMETER);
}

if (empty($_REQUEST['id']) && !empty($_REQUEST['acode'])) {
	jieqi_includedb();
	$query = JieqiQueryHandler::getInstance('JieqiQueryHandler');
	$sql = 'SELECT articleid FROM ' . jieqi_dbprefix('article_article') . ' WHERE articlecode = \'' . jieqi_dbslashes($_REQUEST['acode']) . '\' LIMIT 0, 1';
	$query->execute($sql);
	$row = $query->getRow();

	if (is_array($row)) {
		$_REQUEST['id'] = intval($row['articleid']);
	}
	else {
		jieqi_loadlang('article', JIEQI_MODULE_NAME);
		jieqi_printfail($jieqiLang['article']['article_not_exists']);
	}
}

include_once JIEQI_ROOT_PATH . '/header.php';
include_once $jieqiModules['article']['path'] . '/class/package.php';
$package = new JieqiPackage($_REQUEST['id']);

if ($package->loadOPF()) {
	$cid = 0;
	$isvip = 0;

	foreach ($package->chapters as $chapter) {
		if ($chapter['chaptertype'] == 0) {
			$cid = intval($chapter['chapterid']);
			$isvip = intval($chapter['isvip']);
			break;
		}
	}

	if (0 < $cid) {
	 if(empty($_REQUEST['acode'])){
		header('Location: ' . jieqi_headstr(jieqi_geturl('article', 'chapter', $cid, $_REQUEST['id'], $isvip)));
	 }
	 else {
	 	header('Location: ' . jieqi_headstr(jieqi_geturl('article', 'chapter', $cid, $_REQUEST['acode'], $isvip)));
	 }
	}
	else {
		jieqi_loadlang('article', JIEQI_MODULE_NAME);
		jieqi_printfail($jieqiLang['article']['noper_manage_article']);
	}
}
else {
	jieqi_loadlang('article', JIEQI_MODULE_NAME);
	jieqi_printfail($jieqiLang['article']['article_not_exists']);
}

?>
