<?php

define("JIEQI_MODULE_NAME", "pay");
define("JIEQI_PAY_TYPE", "99bill");
require_once ("../../global.php");
jieqi_loadlang("pay", JIEQI_MODULE_NAME);

if (!jieqi_checklogin(true)) {
	jieqi_printfail($jieqiLang["pay"]["need_login"]);
}

jieqi_getconfigs(JIEQI_MODULE_NAME, JIEQI_PAY_TYPE, "jieqiPayset");
include ($jieqiModules["pay"]["path"] . "/include/paystart.php");
include_once (JIEQI_ROOT_PATH . "/header.php");
$jieqiTpl->assign("url_pay", $jieqiPayset[JIEQI_PAY_TYPE]["payurl"]);
$jieqiTpl->assign("buyname", $_SESSION["jieqiUserName"]);
$jieqiTpl->assign("egold", $_REQUEST["egold"]);
$jieqiTpl->assign("egoldname", JIEQI_EGOLD_NAME);
$jieqiTpl->assign("money", $_REQUEST["amount"]);
$parmary = array();
$parmary["inputCharset"] = $jieqiPayset[JIEQI_PAY_TYPE]["inputCharset"];
$parmary["bgUrl"] = $jieqiPayset[JIEQI_PAY_TYPE]["payreturn"];
$parmary["version"] = $jieqiPayset[JIEQI_PAY_TYPE]["version"];
$parmary["language"] = $jieqiPayset[JIEQI_PAY_TYPE]["language"];
$parmary["signType"] = $jieqiPayset[JIEQI_PAY_TYPE]["signType"];
$parmary["merchantAcctId"] = $jieqiPayset[JIEQI_PAY_TYPE]["payid"];
$parmary["payerName"] = JIEQI_SITE_NAME;
$parmary["orderId"] = $paylog->getVar("payid");
$parmary["orderAmount"] = $_REQUEST["money"];
$parmary["orderTime"] = date("YmdHis");
$parmary["productName"] = JIEQI_EGOLD_NAME;
$parmary["ext1"] = $jieqiPayset[JIEQI_PAY_TYPE]["ext1"];
$parmary["ext2"] = $jieqiPayset[JIEQI_PAY_TYPE]["ext2"];
$parmary["payType"] = $jieqiPayset[JIEQI_PAY_TYPE]["payType"];
$txtmac = "";

foreach ($parmary as $k => $v ) {
	$jieqiTpl->assign($k, $v);

	if ($v != "") {
		if ($txtmac != "") {
			$txtmac .= "&";
		}

		$txtmac .= $k . "=" . $v;
	}
}

if ($txtmac != "") {
	$txtmac .= "&";
}

$txtmac .= "key=" . $jieqiPayset[JIEQI_PAY_TYPE]["paykey"];
$signMsg = strtoupper(md5($txtmac));
$jieqiTpl->assign("txtmac", $txtmac);
$jieqiTpl->assign("signMsg", $signMsg);

if (is_array($jieqiPayset[JIEQI_PAY_TYPE]["addvars"])) {
	foreach ($jieqiPayset[JIEQI_PAY_TYPE]["addvars"] as $k => $v ) {
		$jieqiTpl->assign($k, $v);
	}
}

$jieqiTpl->setCaching(0);
$jieqiTset["jieqi_contents_template"] = $jieqiModules["pay"]["path"] . "/templates/99bill.html";
include_once (JIEQI_ROOT_PATH . "/footer.php");

?>
