<?php

define("JIEQI_MODULE_NAME", "pay");
define("JIEQI_PAY_TYPE", "99card");
require_once ("../../global.php");
jieqi_loadlang("pay", JIEQI_MODULE_NAME);
jieqi_getconfigs(JIEQI_MODULE_NAME, JIEQI_PAY_TYPE, "jieqiPayset");
$parmary = array();
$parmary["merchantAcctId"] = trim($_REQUEST["merchantAcctId"]);
$parmary["version"] = trim($_REQUEST["version"]);
$parmary["language"] = trim($_REQUEST["language"]);
$parmary["payType"] = trim($_REQUEST["payType"]);
$parmary["cardNumber"] = trim($_REQUEST["cardNumber"]);
$parmary["cardPwd"] = trim($_REQUEST["cardPwd"]);
$parmary["orderId"] = trim($_REQUEST["orderId"]);
$parmary["orderAmount"] = trim($_REQUEST["orderAmount"]);
$parmary["dealId"] = trim($_REQUEST["dealId"]);
$parmary["orderTime"] = trim($_REQUEST["orderTime"]);
$parmary["ext1"] = trim($_REQUEST["ext1"]);
$parmary["ext2"] = trim($_REQUEST["ext2"]);
$parmary["payAmount"] = trim($_REQUEST["payAmount"]);
$parmary["billOrderTime"] = trim($_REQUEST["billOrderTime"]);
$parmary["payResult"] = trim($_REQUEST["payResult"]);
$parmary["signType"] = trim($_REQUEST["signType"]);
$signMsg = trim($_REQUEST["signMsg"]);
$txtmac = "";

foreach ($parmary as $k => $v ) {
	if ($v != "") {
		if ($txtmac != "") {
			$txtmac .= "&";
		}

		$txtmac .= $k . "=" . $v;
	}
}

if ($txtmac != "") {
	$txtmac .= "&";
}

$txtmac .= "key=" . $jieqiPayset[JIEQI_PAY_TYPE]["paykey"];
$mysignMsg = strtoupper(md5($txtmac));

if ($jieqiPayset[JIEQI_PAY_TYPE]["payid"] != $parmary["merchantAcctId"]) {
	jieqi_printfail($jieqiLang["pay"]["customer_id_error"]);
}
else if ($parmary["payResult"] != "10") {
	jieqi_printfail($jieqiLang["pay"]["pay_return_error"]);
}
else if (strtoupper($signMsg) == strtoupper($mysignMsg)) {
	include_once ($jieqiModules["pay"]["path"] . "/class/paylog.php");
	$paylog_handler = JieqiPaylogHandler::getInstance("JieqiPaylogHandler");
	$orderid = intval($parmary["orderId"]);
	$paylog = $paylog_handler->get($orderid);

	if (is_object($paylog)) {
		$buyname = $paylog->getVar("buyname");
		$buyid = $paylog->getVar("buyid");
		$payflag = $paylog->getVar("payflag");
		$egold = $paylog->getVar("egold");
		$money = $paylog->getVar("money");

		if ($payflag == 0) {
			include_once (JIEQI_ROOT_PATH . "/class/users.php");
			$users_handler = &JieqiUsersHandler::getInstance("JieqiUsersHandler");
			$ret = $users_handler->income($buyid, $egold, $jieqiPayset[JIEQI_PAY_TYPE]["paysilver"], $jieqiPayset[JIEQI_PAY_TYPE]["payscore"][$egold]);

			if ($ret) {
				$note = sprintf($jieqiLang["pay"]["add_egold_success"], $buyname, JIEQI_EGOLD_NAME, $egold);
			}
			else {
				$note = sprintf($jieqiLang["pay"]["add_egold_failure"], $buyid, $buyname, JIEQI_EGOLD_NAME, $egold);
			}

			$paylog->setVar("rettime", JIEQI_NOW_TIME);
			$paylog->setVar("retserialno", $parmary["dealId"]);
			$paylog->setVar("retaccount", $parmary["payType"] . "|" . $parmary["cardNumber"] . "|" . $parmary["cardPwd"]);
			$paylog->setVar("retinfo", "");
			$paylog->setVar("note", $note);
			$paylog->setVar("payflag", 1);

			if (!$paylog_handler->insert($paylog)) {
				jieqi_printfail($jieqiLang["pay"]["save_paylog_failure"]);
			}
			else {
				jieqi_msgwin(LANG_DO_SUCCESS, sprintf($jieqiLang["pay"]["buy_egold_success"], $buyname, JIEQI_EGOLD_NAME, $egold));
			}
		}
		else {
			jieqi_printfail($jieqiLang["pay"]["already_add_egold"]);
		}
	}
	else {
		jieqi_printfail($jieqiLang["pay"]["no_buy_record"]);
	}
}

?>
