<?php

define("JIEQI_MODULE_NAME", "pay");
require_once ("../../../global.php");
jieqi_checklogin();
jieqi_loadlang("pay", "pay");
include ("AllPay.Payment.Integration.php");

try {
	$obj = new AllInOne();
	$obj->ServiceURL = "https://payment.allpay.com.tw/Cashier/AioCheckOut/V2";
	$obj->HashKey = "t3LhPpLoS9JNQ40j";
	$obj->HashIV = "SGwje5vbkvUklJHO";
	$obj->MerchantID = "1325287";
	$curDateTime = date("YmdHis");
	$randNum = rand(1000, 9999);
	$mch_vno = $curDateTime . $randNum;
	$obj->Send["ReturnURL"] = JIEQI_URL . "/modules/pay/allpay/allpayreturn.php";
	$obj->Send["MerchantTradeNo"] = $mch_vno;
	$obj->Send["MerchantTradeDate"] = date("Y/m/d H:i:s");
	$obj->Send["TotalAmount"] = (int) $_REQUEST["egold"] / 100;
	$obj->Send["TradeDesc"] = iconv("GBK", "UTF-8", JIEQI_EGOLD_NAME);
	$obj->Send["ChoosePayment"] = PaymentMethod::ALL;
	array_push($obj->Send["Items"], array("Name" => iconv("GBK", "UTF-8", JIEQI_EGOLD_NAME), "Price" => (int) $_REQUEST["egold"], "Currency" => "鏋?, "Quantity" => (int) "1", "URL" => JIEQI_URL));
	include_once ($jieqiModules["pay"]["path"] . "/class/paylog.php");
	$paylog_handler = JieqiPaylogHandler::getInstance("JieqiPaylogHandler");
	$paylog = $paylog_handler->create();
	$paylog->setVar("siteid", JIEQI_SITE_ID);
	$paylog->setVar("buytime", JIEQI_NOW_TIME);
	$paylog->setVar("rettime", 0);
	$paylog->setVar("buyid", $_SESSION["jieqiUserId"]);
	$paylog->setVar("buyname", $_SESSION["jieqiUserName"]);

	if (!isset($buyinfo)) {
		$buyinfo = "";
	}

	$paylog->setVar("buyinfo", $buyinfo);
	$paylog->setVar("moneytype", 0);
	$paylog->setVar("money", $_REQUEST["egold"]);
	$paylog->setVar("egoldtype", 0);
	$paylog->setVar("egold", $_REQUEST["egold"]);
	$paylog->setVar("paytype", "allpay");
	$paylog->setVar("retserialno", "");
	$paylog->setVar("retaccount", "");
	$paylog->setVar("retinfo", "");
	$paylog->setVar("masterid", 0);
	$paylog->setVar("mastername", "");
	$paylog->setVar("masterinfo", "");
	$paylog->setVar("note", $mch_vno);
	$paylog->setVar("payflag", 0);

	if (!$paylog_handler->insert($paylog)) {
		jieqi_printfail($jieqiLang["pay"]["add_paylog_error"]);
	}

	$obj->CheckOut();
}
catch (Exception $e) {
	echo $e->getMessage();
}

?>
