<?php

class PayNotifyCallBack extends WxPayNotify
{
	public function Queryorder($transaction_id)
	{
		$input = new WxPayOrderQuery();
		$input->SetTransaction_id($transaction_id);
		$result = WxPayApi::orderQuery($input);
		Log::DEBUG("query:" . json_encode($result));
		if (array_key_exists("return_code", $result) && array_key_exists("result_code", $result) && ($result["return_code"] == "SUCCESS") && ($result["result_code"] == "SUCCESS")) {
			return true;
		}

		return false;
	}

	public function NotifyProcess($data, &$msg)
	{
		Log::DEBUG("call back:" . json_encode($data));
		$notfiyOutput = array();

		if (!array_key_exists("transaction_id", $data)) {
			$msg = "杈揿叆鍙傛暟涓嶆纭?;
			return false;
		}

		if (!$this->Queryorder($data["transaction_id"])) {
			$msg = "璁㈠崟镆ヨ澶辫触";
			return false;
		}

		$order = new order();
		$order->do_order($data["out_trade_no"]);
		return true;
	}
}

ini_set("date.timezone", "Asia/Shanghai");
require_once ("lib/WxPay.Api.php");
require_once ("lib/WxPay.Notify.php");
require_once ("log.php");
require_once ("order.php");
$logHandler = new CLogFileHandler("../logs/" . date("Y-m-d") . ".log");
$log = Log::Init($logHandler, 15);
Log::DEBUG("begin notify");
$notify = new PayNotifyCallBack();
$notify->Handle(false);

?>
