<?php

define("JIEQI_MODULE_NAME", "pay");
define("JIEQI_PAY_TYPE", "yeecard");
require_once ("../../global.php");
require_once ("yeecardcommon.php");
jieqi_loadlang("pay", JIEQI_MODULE_NAME);
jieqi_getconfigs(JIEQI_MODULE_NAME, JIEQI_PAY_TYPE, "jieqiPayset");
$logflag = (defined("JIEQI_DEBUG_MODE") && (0 < JIEQI_DEBUG_MODE) ? 1 : 0);

if ($logflag) {
	$logfile = JIEQI_ROOT_PATH . "/files/pay/log/" . JIEQI_PAY_TYPE . "_return.txt";
	jieqi_checkdir(dirname($logfile), true);
	$log = print_r($_REQUEST, true);
	jieqi_writefile($logfile, $log, "ab");
}

$p1_MerId = $jieqiPayset[JIEQI_PAY_TYPE]["payid"];
$merchantKey = $jieqiPayset[JIEQI_PAY_TYPE]["paykey"];
$reqURL_SNDApro = $jieqiPayset[JIEQI_PAY_TYPE]["payurl"];
$paytype = JIEQI_PAY_TYPE;
$return = getcallbackvalue($r0_Cmd, $r1_Code, $p1_MerId, $p2_Order, $p3_Amt, $p4_FrpId, $p5_CardNo, $p6_confirmAmount, $p7_realAmount, $p8_cardStatus, $p9_MP, $pb_BalanceAmt, $pc_BalanceAct, $hmac);
$bRet = checkhmac($r0_Cmd, $r1_Code, $p1_MerId, $p2_Order, $p3_Amt, $p4_FrpId, $p5_CardNo, $p6_confirmAmount, $p7_realAmount, $p8_cardStatus, $p9_MP, $pb_BalanceAmt, $pc_BalanceAct, $hmac);

if ($bRet) {
	echo "success";

	if ($r1_Code == "1") {
		include_once ($jieqiModules["pay"]["path"] . "/class/paylog.php");
		$paylog_handler = JieqiPaylogHandler::getInstance("JieqiPaylogHandler");
		$orderid = intval($p2_Order);
		$paylog = $paylog_handler->get($orderid);

		if (is_object($paylog)) {
			$buyname = $paylog->getVar("buyname");
			$buyid = $paylog->getVar("buyid");
			$payflag = $paylog->getVar("payflag");
			$egold = $paylog->getVar("egold");
			$money = $paylog->getVar("money");

			if ($payflag == 0) {
				include_once (JIEQI_ROOT_PATH . "/class/users.php");
				$users_handler = &JieqiUsersHandler::getInstance("JieqiUsersHandler");
				$paysilver = (empty($jieqiPayset[JIEQI_PAY_TYPE]["paysilver"]) ? 0 : intval($jieqiPayset[JIEQI_PAY_TYPE]["paysilver"]));
				$payscore = (empty($jieqiPayset[JIEQI_PAY_TYPE]["payrate"]) ? 0 : floor(($money * $jieqiPayset[JIEQI_PAY_TYPE]["payrate"]) / 100));
				$ret = $users_handler->income($buyid, $egold, $paysilver, $payscore);

				if ($ret) {
					$note = sprintf($jieqiLang["pay"]["add_egold_success"], $buyname, JIEQI_EGOLD_NAME, $egold);
				}
				else {
					$note = sprintf($jieqiLang["pay"]["add_egold_failure"], $buyid, $buyname, JIEQI_EGOLD_NAME, $egold);
				}

				$paylog->setVar("rettime", JIEQI_NOW_TIME);
				$paylog->setVar("retserialno", "");
				$paylog->setVar("retaccount", p5_CardNo);
				$paylog->setVar("retinfo", $p4_FrpId);
				$paylog->setVar("money", intval($p3_Amt * 100));
				$paylog->setVar("paytype", $paytype);
				$paylog->setVar("note", $note);
				$paylog->setVar("payflag", 1);

				if (!$paylog_handler->insert($paylog)) {
					jieqi_printfail($jieqiLang["pay"]["save_paylog_failure"]);
				}
			}
		}

		exit();
	}
	else if ($r1_Code == "2") {
		echo "<br>支付失败!";
		echo "<br>商户订单号:" . $p2_Order;
		exit();
	}
}
else {
	$sNewString = getcallbackhmacstring($r0_Cmd, $r1_Code, $p1_MerId, $p2_Order, $p3_Amt, $p4_FrpId, $p5_CardNo, $p6_confirmAmount, $p7_realAmount, $p8_cardStatus, $p9_MP, $pb_BalanceAmt, $pc_BalanceAct);
	echo "<br>localhost:" . $sNewString;
	echo "<br>YeePay:" . $hmac;
	echo "<br>交易签名无效!";
	exit();
}

?>
