<?php

define("JIEQI_MODULE_NAME", "system");
require_once ("global.php");
jieqi_checklogin();
jieqi_getconfigs(JIEQI_MODULE_NAME, "configs");
$jieqiTset["jieqi_contents_template"] = JIEQI_ROOT_PATH . "/templates/myfriends.html";
include_once (JIEQI_ROOT_PATH . "/header.php");
$jieqiPset = jieqi_get_pageset();
include_once (JIEQI_ROOT_PATH . "/class/friends.php");
$friends_handler = &JieqiFriendsHandler::getInstance("JieqiFriendsHandler");
if (!empty($_REQUEST["delid"]) && is_numeric($_REQUEST["delid"]) && (0 < $_REQUEST["delid"])) {
	$criteria = new CriteriaCompo(new Criteria("myid", $_SESSION["jieqiUserId"]));
	$criteria->add(new Criteria("yourid", $_REQUEST["delid"]));
	$friends_handler->delete($criteria);
	unset($_GET["delid"]);
	unset($criteria);
}

$criteria = new CriteriaCompo(new Criteria("myid", $_SESSION["jieqiUserId"]));
$criteria->setSort("friendsid");
$criteria->setOrder("ASC");
$criteria->setLimit($jieqiPset["rows"]);
$criteria->setStart($jieqiPset["start"]);
$friends_handler->queryObjects($criteria);
$friendsrows = array();
$k = 0;

while ($v = $friends_handler->getObject()) {
	$friendsrows[$k] = jieqi_query_rowvars($v);
	$k++;
}

$jieqiTpl->assign_by_ref("friendsrows", $friendsrows);
$friendsnum = $friends_handler->getCount($criteria);
$jieqiTpl->assign("nowfriends", $friendsnum);
jieqi_getconfigs("system", "honors");
jieqi_getconfigs(JIEQI_MODULE_NAME, "right");
$maxfriendsnum = intval($jieqiConfigs["system"]["maxfriends"]);
$honorid = jieqi_gethonorid($_SESSION["jieqiUserScore"], $jieqiHonors);
if ($honorid && isset($jieqiRight["system"]["maxfriends"]["honors"][$honorid]) && is_numeric($jieqiRight["system"]["maxfriends"]["honors"][$honorid])) {
	$maxfriendsnum = intval($jieqiRight["system"]["maxfriends"]["honors"][$honorid]);
}

$jieqiTpl->assign("maxfriends", $maxfriendsnum);
include_once (JIEQI_ROOT_PATH . "/lib/html/page.php");
$jieqiPset["count"] = $friendsnum;
$jumppage = new JieqiPage($jieqiPset);
$jieqiTpl->assign("url_jumppage", $jumppage->whole_bar());
$jieqiTpl->setCaching(0);
include_once (JIEQI_ROOT_PATH . "/footer.php");

?>
