<?php

define("JIEQI_MODULE_NAME", "article");
require_once ("../../../global.php");
jieqi_getconfigs(JIEQI_MODULE_NAME, "power");
jieqi_checkpower($jieqiPower["article"]["manageallarticle"], $jieqiUsersStatus, $jieqiUsersGroup, false, true);
jieqi_loadlang("list", JIEQI_MODULE_NAME);
jieqi_getconfigs(JIEQI_MODULE_NAME, "configs");
jieqi_getconfigs("article", "sort");
$article_static_url = (empty($jieqiConfigs["article"]["staticurl"]) ? JIEQI_URL : $jieqiConfigs["article"]["staticurl"]);
$article_dynamic_url = (empty($jieqiConfigs["article"]["dynamicurl"]) ? JIEQI_URL : $jieqiConfigs["article"]["dynamicurl"]);
include_once (JIEQI_ROOT_PATH . "/modules/article/class/article.php");
$article_handler = &jieqiarticlehandler::getinstance("JieqiArticleHandler");
include_once (JIEQI_ROOT_PATH . "/admin/header.php");
$pagelink = "?site=fmx";
$aPara = array("begindate", "enddate", "beginsize", "endsize", "isupdate", "keyword", "keytype", "signtype", "day", "isvip", "sortid");

foreach ($aPara as $val ) {
	$$val = $_GET[$val];
	$jieqiTpl->assign($val, $val);

	if ($$val != "") {
		$pagelink .= "&$val=$$val";
	}
}

$page = $_GET["page"];

if (!is_numeric($page)) {
	$page = 1;
}

if ($page < 1) {
	$page = 1;
}

if (!is_numeric($type)) {
	$type = 0;
}

$where = "where 1=1";

switch ($signtype) {
case "0":
	$where .= " and a.sign=0";
	break;

case "1":
	$where .= " and a.sign!=0";
	break;

case "2":
	$where .= " and a.sign=1";
	break;

case "3":
	$where .= " and a.sign=10";
	break;

default:
}

if (!empty($sortid)) {
	$where .= " and sortid=$sortid";
}

$table = jieqi_dbprefix("article_article") . " a";

if (!is_numeric($isupdate)) {
	$isupdate = 1;
}

if (!empty($keyword)) {
	if ($keytype == 1) {
		$where .= " and a.author='" . addslashes($keyword) . "'";
	}
	else if ($keytype == 3) {
		$where .= " and articleid='" . addslashes($keyword) . "'";
	}
	else {
		$where .= " and articlename like '%" . addslashes($keyword) . "%'";
	}
}

if (!empty($beginsize)) {
	if (!is_numeric($beginsize)) {
		jieqi_printfail("字数输入格式错误！");
	}

	$where .= " and size >=" . ($beginsize * 2);
}

if (!empty($endsize)) {
	if (!is_numeric($endsize)) {
		jieqi_printfail("字数输入格式错误！");
	}

	$where .= " and size <=" . ($endsize * 2);
}

if ($isupdate != 0) {
	if (!empty($begindate)) {
		$transdaterows = explode("-", $begindate);
		$transdate = @mktime($transdaterows[3], 0, 0, $transdaterows[1], $transdaterows[2], $transdaterows[0]);

		if ($isupdate == 1) {
			$where .= " and a.lastupdate >= $transdate";
		}
		else {
			$where .= " and signdate >=$transdate";
		}
	}

	if (!empty($enddate)) {
		$transdaterows = explode("-", $enddate);
		$transdate = @mktime($transdaterows[3], 0, 0, $transdaterows[1], $transdaterows[2], $transdaterows[0]);

		if ($isupdate == 1) {
			$where .= " and a.lastupdate <= $transdate";
		}
		else {
			$where .= " and signdate <=$transdate";
		}
	}
}
else {
	if (!is_numeric($day)) {
		$day = 0;
	}

	$daybefore = JIEQI_NOW_TIME - ($day * 86400);
	$where .= " and lastupdate<=$daybefore";
}

switch ($isvip) {
case "0":
	$where .= " and  isvip = 0";
	break;

case "1":
	$where .= " and  isvip = 1";
	break;

case "3":
	$where .= " and  isvip = 3";
	break;

case "4":
	$where .= " and  isvip = 4";
	break;

default:
}

$sql = "select count(*) from $table $where";
$res = $article_handler->db->query($sql);
list($count) = $article_handler->db->fetchrow($res);
$orderby = $_GET["orderby"];
!$orderby && ($orderby = "lastupdate");
$sql = "select * from " . jieqi_dbprefix("article_article") . " $where order by $orderby desc";
$res = $article_handler->db->query($sql, $_REQUEST["actiontype"] != "all" ? $jieqiConfigs["article"]["pagenum"] : "", $_REQUEST["actiontype"] != "all" ? ($page - 1) * $jieqiConfigs["article"]["pagenum"] : "");
$articlerows = array();
$k = 0;
include_once (JIEQI_ROOT_PATH . "/class/power.php");
$power_handler = &jieqipowerhandler::getinstance("JieqiPowerHandler");
$db_query = jieqiqueryhandler::getinstance("JieqiQueryHandler");

if ($_REQUEST["action"] == "excel") {
	$data[1] = array("书号", "文章名称", "作者ID", "作者", "收藏/推荐", "月票", "鲜花", "字数", "更新时间", "完本", "类型风格", "签约", "签约时间");
}

while ($v = $article_handler->getobject($res)) {
	$articlerows[$k]["articleid"] = $v->getvar("articleid");
	$articlerows[$k]["articlename"] = $v->getvar("articlename");
	$articlerows[$k]["authorid"] = $v->getvar("authorid");
	$articlerows[$k]["author"] = $v->getvar("author");
	$articlerows[$k]["allvipvote"] = $v->getvar("allvipvote");
	$articlerows[$k]["allflower"] = $v->getvar("allflower");
	$articlerows[$k]["allvote"] = $v->getvar("allvote");
	$articlerows[$k]["goodnumt"] = $v->getvar("goodnum");
	$articlerows[$k]["sortid"] = $v->getvar("sortid");
	$articlerows[$k]["isvip"] = ($v->getvar("isvip") == 0 ? "否" : "是");
	$articlerows[$k]["sort"] = $jieqiSort["article"][$v->getvar("sortid")]["caption"];
	$articlerows[$k]["lastupdate"] = date("Y-m-d", $v->getvar("lastupdate"));

	if ($v->getvar("fullflag") == "1") {
		$articlerows[$k]["fullflag"] = "是";
	}
	else {
		$articlerows[$k]["fullflag"] = "否";
	}

	if ($v->getvar("issign") == "0") {
		$articlerows[$k]["issign"] = "否";
	}
	else if ($v->getvar("issign") == "1") {
		$articlerows[$k]["issign"] = "B签";
	}
	else {
		$articlerows[$k]["issign"] = "A签";
	}

	if ($v->getvar("signdate") != 0) {
		$articlerows[$k]["signdate"] = date("Y-m-d", $v->getvar("signdate"));
	}
	else {
		$articlerows[$k]["signdate"] = "";
	}

	$articlerows[$k]["size"] = ceil($v->getvar("size") / 2);
	$articlerows[$k]["obooksize"] = ceil($v->getvar("obooksize") / 2);
	$articlerows[$k]["size_c"] = $articlerows[$k]["size"] + $articlerows[$k]["obooksize"];
	$articlerows[$k]["usersign"] = $v->getvar("usersign");

	if ($_REQUEST["action"] == "excel") {
		$data[] = array($v->getvar("articleid"), " " . $v->getvar("articlename", "un") . " ", " " . $v->getvar("authorid") . " ", " " . $v->getvar("author", "un") . " ", $articlerows[$k]["goodnumt"] . "/" . $articlerows[$k]["allvote"], " " . $v->getvar("allvipvote", "un") . " ", " " . $v->getvar("allflower", "un") . " ", $articlerows[$k]["size_c"], $articlerows[$k]["lastupdate"], $articlerows[$k]["fullflag"], $articlerows[$k]["sort"], $articlerows[$k]["issign"], $articlerows[$k]["signdate"]);
	}

	++$k;
}

if ($_REQUEST["action"] == "excel") {
	include_once (JIEQI_ROOT_PATH . "/class/excel.php");
	$xls = new Excel_XML("GB2312", false, $type == 1 ? "签约文章列表" : "未签约文章列表" . $_REQUEST["page"]);
	$xls->addArray($data);
	$xls->generateXML("article");
	exit();
}

$jieqiTpl->assign_by_ref("articlerows", $articlerows);
jieqi_getconfigs("article", "sort");
$sortrows = array();
$i = 0;

foreach ($jieqiSort["article"] as $k => $v ) {
	$sortrows[$i] = array("sortid" => $k, "sortname" => $v["caption"]);
	++$i;
}

$jieqiTpl->assign_by_ref("sortrows", $sortrows);
$pagelink .= "&page=";
include_once (JIEQI_ROOT_PATH . "/lib/html/page.php");
$jumppage = new jieqipage($count, $jieqiConfigs["article"]["pagenum"], $page);
$jumppage->setlink("/modules/article/admin/signarticle.php" . $pagelink, false, true);
$jieqiTpl->assign("page", $page);
$jieqiTpl->assign("pagelink", $pagelink);
$jieqiTpl->assign("url_jumppage", $jumppage->whole_bar());
$jieqiTpl->setcaching(0);
$jieqiTpl->assign("jieqi_contents", $jieqiTpl->fetch(JIEQI_ROOT_PATH . "/modules/article/templates/admin/signarticlelist.html"));
include_once (JIEQI_ROOT_PATH . "/admin/footer.php");

?>
