<?php

define("JIEQI_MODULE_NAME", "article");
define("JIEQI_USE_CACHE", 0);

if (!defined("JIEQI_GLOBAL_INCLUDE")) {
	include_once ("../../../global.php");
}

jieqi_getconfigs(JIEQI_MODULE_NAME, "power");
jieqi_checkpower($jieqiPower["article"]["manageallarticle"], $jieqiUsersStatus, $jieqiUsersGroup, false, true);
jieqi_loadlang("list", JIEQI_MODULE_NAME);
jieqi_getconfigs("article", "configs");
jieqi_getconfigs("article", "sort");
jieqi_getconfigs("article", "top");
$jieqiTset["jieqi_contents_template"] = $jieqiModules["article"]["path"] . "/templates/admin/toplist.html";
include_once (JIEQI_ROOT_PATH . "/admin/header.php");
$jieqiPset = jieqi_get_pageset();
include_once ($jieqiModules["article"]["path"] . "/include/funarticle.php");
if (empty($_REQUEST["sort"]) || !isset($jieqiTop["article"][$_REQUEST["sort"]])) {
	$_REQUEST["sort"] = "";

	foreach ($jieqiTop["article"] as $k => $v ) {
		if ($_REQUEST["sort"] == "") {
			$_REQUEST["sort"] = $k;
		}

		if (0 < $v["default"]) {
			$_REQUEST["sort"] = $k;
			break;
		}
	}
}

if (empty($_REQUEST["class"]) || !is_numeric($_REQUEST["class"]) || !isset($jieqiSort["article"][$_REQUEST["class"]])) {
	$_REQUEST["class"] = 0;
}

if (!isset($jieqiConfigs["article"]["topcachenum"])) {
	$jieqiConfigs["article"]["topcachenum"] = $jieqiConfigs["article"]["cachenum"];
}

$content_used_cache = false;
$jieqiTset["jieqi_contents_cacheid"] = "toplist_" . $_REQUEST["sort"] . "_" . $_REQUEST["class"] . "_" . $_REQUEST["page"];
if (JIEQI_USE_CACHE && ($_REQUEST["page"] <= $jieqiConfigs["article"]["topcachenum"])) {
	$jieqiTpl->setCaching(1);
	$jieqiTpl->setCachType(1);

	if ($jieqiTpl->is_cached($jieqiTset["jieqi_contents_template"], $jieqiTset["jieqi_contents_cacheid"], NULL, NULL, NULL, false)) {
		if (in_array($jieqiTop["article"][$_REQUEST["sort"]]["sort"], array("lastupdate", "postdate"))) {
			$uptime = jieqi_article_getuptime();
			$cachedtime = $jieqiTpl->get_cachedtime($jieqiTset["jieqi_contents_template"], $jieqiTset["jieqi_contents_cacheid"]);
			if (($uptime < $cachedtime) || ((JIEQI_NOW_TIME - $cachedtime) < 15)) {
				$content_used_cache = true;
			}
			else {
				$jieqiTpl->setCaching(2);
			}
		}
		else {
			$content_used_cache = true;
		}
	}
}
else {
	$jieqiTpl->setCaching(0);
}

$jieqiTpl->assign("sort", $_REQUEST["sort"]);
$jieqiTpl->assign("class", $_REQUEST["class"]);

if (!$content_used_cache) {
	$article_static_url = (empty($jieqiConfigs["article"]["staticurl"]) ? $jieqiModules["article"]["url"] : $jieqiConfigs["article"]["staticurl"]);
	$article_dynamic_url = (empty($jieqiConfigs["article"]["dynamicurl"]) ? $jieqiModules["article"]["url"] : $jieqiConfigs["article"]["dynamicurl"]);
	$jieqiTpl->assign("article_static_url", $article_static_url);
	$jieqiTpl->assign("article_dynamic_url", $article_dynamic_url);
	include_once ($jieqiModules["article"]["path"] . "/class/article.php");
	$article_handler = &JieqiArticleHandler::getInstance("JieqiArticleHandler");
	$topsql = " WHERE display = 0 AND size > 0";
	$classinfo = "";
	if (!empty($_REQUEST["class"]) && is_numeric($_REQUEST["class"])) {
		$topsql .= " AND sortid = " . $_REQUEST["class"];
		$classinfo .= " - " . $jieqiSort["article"][$_REQUEST["class"]]["caption"];
	}
	else {
		$_REQUEST["class"] = 0;
	}

	$tmpvar = explode("-", date("Y-m-d", JIEQI_NOW_TIME));
	$daystart = mktime(0, 0, 0, (int) $tmpvar[1], (int) $tmpvar[2], (int) $tmpvar[0]);
	$monthstart = mktime(0, 0, 0, (int) $tmpvar[1], 1, (int) $tmpvar[0]);
	$tmpvar = date("w", JIEQI_NOW_TIME);

	if ($tmpvar == 0) {
		$tmpvar = 7;
	}

	$weekstart = $daystart;

	if (1 < $tmpvar) {
		$weekstart -= ($tmpvar - 1) * 86400;
	}

	$jieqiTpl->assign("articletitle", $jieqiTop["article"][$_REQUEST["sort"]]["caption"] . $classinfo);
	$repfrom = array("<{\$daystart}>", "<{\$weekstart}>", "<{\$monthstart}>");
	$repto = array($daystart, $weekstart, $monthstart);

	if ($jieqiTop["article"][$_REQUEST["sort"]]["where"] != "") {
		$topsql .= " AND " . str_replace($repfrom, $repto, $jieqiTop["article"][$_REQUEST["sort"]]["where"]);
	}

	$cotsql = "SELECT count(*) AS cot FROM " . jieqi_dbprefix("article_article") . $topsql;

	if ($jieqiTop["article"][$_REQUEST["sort"]]["order"] != "") {
		$topsql .= " ORDER BY " . $jieqiTop["article"][$_REQUEST["sort"]]["sort"] . " " . $jieqiTop["article"][$_REQUEST["sort"]]["order"];
	}

	$topsql .= " LIMIT " . intval($jieqiPset["start"]) . ", " . intval($jieqiPset["rows"]);
	$topsql = "SELECT * FROM " . jieqi_dbprefix("article_article") . $topsql;
	$article_handler->execute($topsql);
	$articlerows = array();
	$k = 0;
	jieqi_getconfigs("obook", "publisher", "jieqiPublisher");

	while ($v = $article_handler->getObject()) {
		$articlerows[$k] = jieqi_article_vars($v);
		$articlerows[$k]["vippublisher"] = (isset($jieqiPublisher[$v->getVar("vippubid", "n")]) ? $jieqiPublisher[$v->getVar("vippubid", "n")]["name"] : "");
		$k++;
	}

	$jieqiTpl->assign_by_ref("articlerows", $articlerows);
	include_once (JIEQI_ROOT_PATH . "/lib/html/page.php");

	if (JIEQI_USE_CACHE) {
		$pagecacheid = $_REQUEST["sort"] . "_" . $_REQUEST["class"];
		jieqi_getcachevars("article", "toplistlog");

		if (!is_array($jieqiToplistlog)) {
			$jieqiToplistlog = array();
		}

		if (!isset($jieqiToplistlog[$pagecacheid]) || (JIEQI_CACHE_LIFETIME < (JIEQI_NOW_TIME - $jieqiToplistlog[$pagecacheid]["time"]))) {
			$article_handler->execute($cotsql);
			$row = $article_handler->getRow();
			$jieqiToplistlog[$pagecacheid] = array("rows" => intval($row["cot"]), "time" => JIEQI_NOW_TIME);
			jieqi_setcachevars("toplistlog", "jieqiToplistlog", $jieqiToplistlog, "article");
		}

		$toplistrows = $jieqiToplistlog[$pagecacheid]["rows"];
	}
	else {
		$article_handler->execute($cotsql);
		$row = $article_handler->getRow();
		$toplistrows = intval($row["cot"]);
	}

	$jieqiPset["count"] = $toplistrows;
	$jumppage = new JieqiPage($jieqiPset);
	$jieqiTpl->assign("url_jumppage", $jumppage->whole_bar());
}

$jieqi_pagetitle = $jieqiTpl->get_assign("articletitle") . "-" . JIEQI_SITE_NAME;
include_once (JIEQI_ROOT_PATH . "/admin/footer.php");

?>
