<?php

define("JIEQI_MODULE_NAME", "article");
require_once ("../../global.php");
jieqi_checklogin();
jieqi_loadlang("applywriter", JIEQI_MODULE_NAME);
jieqi_getconfigs(JIEQI_MODULE_NAME, "power");

if (jieqi_checkpower($jieqiPower["article"]["newarticle"], $jieqiUsersStatus, $jieqiUsersGroup, true)) {
	jieqi_printfail($jieqiLang["article"]["has_been_writer"]);
}

jieqi_loadlang("users", JIEQI_MODULE_NAME);
include_once (JIEQI_ROOT_PATH . "/class/users.php");
$users_handler = &JieqiUsersHandler::getInstance("JieqiUsersHandler");
$jieqiUsers = $users_handler->get($_SESSION["jieqiUserId"]);
$username = $jieqiUsers->getVar("uname");
$uid = (int) $jieqiUsers->getVar("uid");

if (!$jieqiUsers) {
	jieqi_printfail(LANG_NO_USER);
}

$isUser = mysql_query("select * from `jieqi_system_persons` where `uid`=$uid limit 1");
$rows = mysql_fetch_array($isUser);
jieqi_getconfigs(JIEQI_MODULE_NAME, "configs");
if ((isset($_REQUEST["action"]) && ($_REQUEST["action"] == "applywriter")) || (isset($_REQUEST["agree"]) && ($_REQUEST["agree"] == "1"))) {
	include_once ($jieqiModules["article"]["path"] . "/class/applywriter.php");
	$apply_handler = &JieqiApplywriterHandler::getInstance("JieqiApplywriterHandler");
	$newApply = $apply_handler->create();
	$newApply->setVar("siteid", JIEQI_SITE_ID);
	$newApply->setVar("applytime", JIEQI_NOW_TIME);
	$newApply->setVar("applyuid", $_SESSION["jieqiUserId"]);
	$newApply->setVar("applyname", $_SESSION["jieqiUserName"]);
	$newApply->setVar("penname", $_POST["penname"]);
	$newApply->setVar("authtime", 0);
	$newApply->setVar("authuid", 0);
	$newApply->setVar("authname", "");
	$newApply->setVar("applytitle", "");
	$newApply->setVar("applytext", $_POST["applytext"]);
	$newApply->setVar("applysize", strlen($_POST["applytext"]));
	$newApply->setVar("authnote", "");
	$errtext = "";

	if ($_REQUEST["p_realname"] == "") {
		$errtext .= $jieqiLang["system"]["persons_need_realname"] . "<br />";
	}
	else if (0 < $rows["denyedit"]) {
		$errtext .= $jieqiLang["system"]["persons_is_denyedit"] . "<br />";
	}

	if (empty($errtext)) {
		$bankcard = preg_replace("/\D/", "", $_REQUEST["p_bankcard"]);

		if (!$rows["uid"]) {
			$ret = mysql_query("insert into `jieqi_system_persons` set `uid`=" . $uid . ", `username`='$username', `realname` = '{$_REQUEST["p_realname"]}', `gender` = '{$_REQUEST["p_gender"]}', `telephone` = '{$_REQUEST["p_telephone"]}', `mobilephone` = '{$_REQUEST["p_mobilephone"]}', `idcardtype` = '{$_REQUEST["p_idcardtype"]}', `idcard` = '{$_REQUEST["p_idcard"]}', `address` = '{$_REQUEST["p_address"]}', `zipcode` = '{$_REQUEST["p_zipcode"]}', `banktype` = '{$_REQUEST["p_banktype"]}', `bankname` = '{$_REQUEST["p_bankname"]}', `bankcard` = '$bankcard', `bankuser` = '{$_REQUEST["p_bankuser"]}', `mynote` = '{$_REQUEST["p_mynote"]}', `qq` = '{$_REQUEST["p_qq"]}', `denyedit` = '1'");
		}
		else {
			$ret = mysql_query("UPDATE `jieqi_system_persons` set `uid`=" . $uid . ", `username`='$username', `realname` = '{$_REQUEST["p_realname"]}', `gender` = '{$_REQUEST["p_gender"]}', `telephone` = '{$_REQUEST["p_telephone"]}', `mobilephone` = '{$_REQUEST["p_mobilephone"]}', `idcardtype` = '{$_REQUEST["p_idcardtype"]}', `idcard` = '{$_REQUEST["p_idcard"]}', `address` = '{$_REQUEST["p_address"]}', `zipcode` = '{$_REQUEST["p_zipcode"]}', `banktype` = '{$_REQUEST["p_banktype"]}', `bankname` = '{$_REQUEST["p_bankname"]}', `bankcard` = '$bankcard', `bankuser` = '{$_REQUEST["p_bankuser"]}', `mynote` = '{$_REQUEST["p_mynote"]}', `qq` = '{$_REQUEST["p_qq"]}', `denyedit` = '1' WHERE `uid` = '$uid'");
		}
	}

	if ($jieqiConfigs["article"]["checkappwriter"] == 1) {
		if (empty($_POST["penname"])) {
			jieqi_printfail($jieqiLang["article"]["no_writer_penname"]);
		}
		else {
			$newApply->setVar("applyflag", 0);
			$apply_handler->insert($newApply);
			include_once (JIEQI_ROOT_PATH . "/header.php");
			$jieqiTpl->setCaching(0);
			$jieqiTpl->assign("jieqi_contents", jieqi_msgbox(LANG_DO_SUCCESS, $jieqiLang["article"]["apply_submit_success"]));
			include_once (JIEQI_ROOT_PATH . "/footer.php");
		}
	}
	else {
		include_once (JIEQI_ROOT_PATH . "/class/groups.php");
		jieqi_getconfigs(JIEQI_MODULE_NAME, "configs");
		$key = array_search($jieqiConfigs["article"]["writergroup"], $jieqiGroups);

		if ($key == false) {
			jieqi_printfail($jieqiLang["article"]["no_writer_group"]);
		}
		else if ($key == JIEQI_GROUP_ADMIN) {
			jieqi_printfail($jieqiLang["article"]["no_writer_admin"]);
		}
		else if (empty($_POST["penname"])) {
			jieqi_printfail($jieqiLang["article"]["no_writer_penname"]);
		}
		else {
			include_once (JIEQI_ROOT_PATH . "/class/users.php");
			$users_handler = &JieqiUsersHandler::getInstance("JieqiUsersHandler");
			$jieqiUsers = $users_handler->get($_SESSION["jieqiUserId"]);
			$jieqiUsers->setVar("penname", $_POST["penname"]);
			$jieqiUsers->setVar("groupid", $key);
			$_SESSION["jieqiUserGroup"] = $jieqiUsers->getVar("groupid");
			$users_handler->insert($jieqiUsers);
			$newApply->setVar("applyflag", 1);
			$apply_handler->insert($newApply);
			jieqi_jumppage($jieqiModules["article"]["url"] . "/myarticle.php", LANG_DO_SUCCESS, sprintf($jieqiLang["article"]["apply_writer_success"], $jieqiConfigs["article"]["writergroup"]));
		}
	}
}
else {
	include_once (JIEQI_ROOT_PATH . "/header.php");
	$jieqiTpl->setCaching(0);
	$jieqiTset["jieqi_contents_template"] = $jieqiModules["article"]["path"] . "/templates/applywriter.html";
	include_once (JIEQI_ROOT_PATH . "/footer.php");
}

?>
