<?php

class JieqiArticle extends JieqiObjectData
{
	public function JieqiArticle()
	{
		$this->JieqiObjectData();
		$this->initVar("articleid", JIEQI_TYPE_INT, 0, "序号", false, 11);
		$this->initVar("siteid", JIEQI_TYPE_INT, 0, "网站序号", false, 11);
		$this->initVar("sourceid", JIEQI_TYPE_INT, 0, "来源序号", false, 11);
		$this->initVar("postdate", JIEQI_TYPE_INT, 0, "发表日期", false, 11);
		$this->initVar("lastupdate", JIEQI_TYPE_INT, 0, "最后更新", false, 11);
		$this->initVar("articlename", JIEQI_TYPE_TXTBOX, "", "小说标题", true, 50);
		$this->initVar("articlecode", JIEQI_TYPE_TXTBOX, "", "拼音标题", false, 100);
		$this->initVar("backupname", JIEQI_TYPE_TXTBOX, "", "备用标题", true, 50);
		$this->initVar("keywords", JIEQI_TYPE_TXTBOX, "", "关键字", false, 250);
		$this->initVar("roles", JIEQI_TYPE_TXTBOX, "", "人物", false, 200);
		$this->initVar("initial", JIEQI_TYPE_TXTBOX, "", "标题首字母", false, 1);
		$this->initVar("authorid", JIEQI_TYPE_INT, 0, "作者序号", false, 11);
		$this->initVar("author", JIEQI_TYPE_TXTBOX, "", "作者", false, 30);
		$this->initVar("posterid", JIEQI_TYPE_INT, 0, "发表者序号", false, 11);
		$this->initVar("poster", JIEQI_TYPE_TXTBOX, "", "发表者", false, 30);
		$this->initVar("agentid", JIEQI_TYPE_INT, 0, "代理人序号", false, 11);
		$this->initVar("agent", JIEQI_TYPE_TXTBOX, "", "代理人", false, 30);
		$this->initVar("sortid", JIEQI_TYPE_INT, 0, "类别序号", false, 3);
		$this->initVar("typeid", JIEQI_TYPE_INT, 0, "情节序号", false, 3);
		$this->initVar("libid", JIEQI_TYPE_INT, 0, "所属书库", false, 3);
		$this->initVar("intro", JIEQI_TYPE_TXTAREA, "", "内容简介", false, NULL);
		$this->initVar("notice", JIEQI_TYPE_TXTAREA, "", "本书公告", false, NULL);
		$this->initVar("foreword", JIEQI_TYPE_TXTAREA, "", "编辑点评", false, NULL);
		$this->initVar("setting", JIEQI_TYPE_TXTAREA, "", "小说参数", false, NULL);
		$this->initVar("lastvolumeid", JIEQI_TYPE_INT, 0, "末卷序号", false, 11);
		$this->initVar("lastvolume", JIEQI_TYPE_TXTBOX, "", "末卷", false, 250);
		$this->initVar("lastchapterid", JIEQI_TYPE_INT, 0, "最新章节序号", false, 11);
		$this->initVar("lastchapter", JIEQI_TYPE_TXTBOX, "", "最新章节", false, 255);
		$this->initVar("lastsummary", JIEQI_TYPE_TXTAREA, "", "最新章节摘要", false, NULL);
		$this->initVar("chapters", JIEQI_TYPE_INT, 0, "章节数", false, 6);
		$this->initVar("size", JIEQI_TYPE_INT, 0, "字节数", false, 11);
		$this->initVar("daysize", JIEQI_TYPE_INT, 0, "日更新字节数", false, 11);
		$this->initVar("weeksize", JIEQI_TYPE_INT, 0, "周更新字节数", false, 11);
		$this->initVar("monthsize", JIEQI_TYPE_INT, 0, "月更新字节数", false, 11);
		$this->initVar("lastvisit", JIEQI_TYPE_INT, 0, "最后访问", false, 11);
		$this->initVar("dayvisit", JIEQI_TYPE_INT, 0, "日访问", false, 11);
		$this->initVar("weekvisit", JIEQI_TYPE_INT, 0, "周访问", false, 11);
		$this->initVar("monthvisit", JIEQI_TYPE_INT, 0, "月访问", false, 11);
		$this->initVar("allvisit", JIEQI_TYPE_INT, 0, "总访问", false, 11);
		$this->initVar("lastvote", JIEQI_TYPE_INT, 0, "最后推荐", false, 11);
		$this->initVar("dayvote", JIEQI_TYPE_INT, 0, "日推荐", false, 11);
		$this->initVar("weekvote", JIEQI_TYPE_INT, 0, "周推荐", false, 11);
		$this->initVar("monthvote", JIEQI_TYPE_INT, 0, "月推荐", false, 11);
		$this->initVar("allvote", JIEQI_TYPE_INT, 0, "总推荐", false, 11);
		$this->initVar("goodnum", JIEQI_TYPE_INT, 0, "收藏数", false, 11);
		$this->initVar("reviewsnum", JIEQI_TYPE_INT, 0, "评论数", false, 11);
		$this->initVar("ratenum", JIEQI_TYPE_INT, 0, "评分人数", false, 11);
		$this->initVar("ratesum", JIEQI_TYPE_INT, 0, "评分总分", false, 11);
		$this->initVar("toptime", JIEQI_TYPE_INT, 0, "置顶时间", false, 11);
		$this->initVar("saleprice", JIEQI_TYPE_INT, 0, "销售价格", false, 11);
		$this->initVar("salenum", JIEQI_TYPE_INT, 0, "销售量", false, 11);
		$this->initVar("totalcost", JIEQI_TYPE_INT, 0, "总销售额", false, 11);
		$this->initVar("articletype", JIEQI_TYPE_INT, 0, "小说类型", false, 1);
		$this->initVar("permission", JIEQI_TYPE_INT, 0, "授权类型", false, 1);
		$this->initVar("firstflag", JIEQI_TYPE_INT, 0, "首发标志", false, 1);
		$this->initVar("fullflag", JIEQI_TYPE_INT, 0, "完整标志", false, 1);
		$this->initVar("imgflag", JIEQI_TYPE_INT, 0, "图片标志", false, 1);
		$this->initVar("upaudit", JIEQI_TYPE_INT, 0, "更新审核标志", false, 1);
		$this->initVar("power", JIEQI_TYPE_INT, 0, "访问级别", false, 1);
		$this->initVar("display", JIEQI_TYPE_INT, 0, "显示", false, 1);
		$this->initVar("progress", JIEQI_TYPE_INT, 0, "写作进程", false, 1);
		$this->initVar("issign", JIEQI_TYPE_INT, 0, "是否签约", false, 1);
		$this->initVar("signtime", JIEQI_TYPE_INT, 0, "签约时间", false, 11);
		$this->initVar("buyout", JIEQI_TYPE_INT, 0, "是否买断", false, 1);
		$this->initVar("monthly", JIEQI_TYPE_INT, 0, "是否包月", false, 1);
		$this->initVar("discount", JIEQI_TYPE_INT, 0, "是否打折", false, 1);
		$this->initVar("quality", JIEQI_TYPE_INT, 0, "是否精品", false, 1);
		$this->initVar("isshort", JIEQI_TYPE_INT, 0, "是否短篇", false, 1);
		$this->initVar("inmatch", JIEQI_TYPE_INT, 0, "是否参赛", false, 1);
		$this->initVar("isshare", JIEQI_TYPE_INT, 0, "是否共享", false, 1);
		$this->initVar("rgroup", JIEQI_TYPE_INT, 0, "男生女生", false, 1);
		$this->initVar("freetime", JIEQI_TYPE_INT, 0, "免费更新时间", false, 11);
		$this->initVar("freesize", JIEQI_TYPE_INT, 0, "免费字数", false, 11);
		$this->initVar("isvip", JIEQI_TYPE_INT, 0, "是否VIP", false, 1);
		$this->initVar("viptime", JIEQI_TYPE_INT, 0, "VIP更新时间", false, 11);
		$this->initVar("vipid", JIEQI_TYPE_INT, 0, "VIP关联ID", false, 11);
		$this->initVar("vippubid", JIEQI_TYPE_INT, 0, "VIP编辑组ID", false, 11);
		$this->initVar("vipchapters", JIEQI_TYPE_INT, 0, "VIP章节数", false, 6);
		$this->initVar("vipsize", JIEQI_TYPE_INT, 0, "VIP字数", false, 11);
		$this->initVar("vipvolumeid", JIEQI_TYPE_INT, 0, "VIP最新分卷ID", false, 11);
		$this->initVar("vipvolume", JIEQI_TYPE_TXTBOX, "", "VIP最新分卷", false, 255);
		$this->initVar("vipchapterid", JIEQI_TYPE_INT, 0, "VIP最新章节ID", false, 11);
		$this->initVar("vipchapter", JIEQI_TYPE_TXTBOX, "", "VIP最新章节", false, 255);
		$this->initVar("vipsummary", JIEQI_TYPE_TXTAREA, "", "VIP最新章节摘要", false, NULL);
	}
}

class JieqiArticleHandler extends JieqiObjectHandler
{
	public function JieqiArticleHandler($db = "")
	{
		$this->JieqiObjectHandler($db);
		$this->basename = "article";
		$this->autoid = "articleid";
		$this->dbname = "article_article";
	}

	public function getCoverInfo($imgflag)
	{
		global $jieqiConfigs;

		if (!isset($jieqiConfigs["article"])) {
			jieqi_getconfigs("article", "configs");
		}

		$ret = array("stype" => "", "ltype" => "");

		if (0 < ($imgflag & 1)) {
			$ret["stype"] = $jieqiConfigs["article"]["imagetype"];
		}

		if (0 < ($imgflag & 2)) {
			$ret["ltype"] = $jieqiConfigs["article"]["imagetype"];
		}

		$imgtype = $imgflag >> 2;

		if (0 < $imgtype) {
			$imgtary = array(1 => ".gif", 2 => ".jpg", 3 => ".jpeg", 4 => ".png", 5 => ".bmp");
			$tmpvar = round($imgtype & 7);

			if (isset($imgtary[$tmpvar])) {
				$ret["stype"] = $imgtary[$tmpvar];
			}

			$tmpvar = round($imgtype >> 3);

			if (isset($imgtary[$tmpvar])) {
				$ret["ltype"] = $imgtary[$tmpvar];
			}
		}

		return $ret;
	}
}

jieqi_includedb();

?>
