<?php

if (!defined("JIEQI_ROOT_PATH")) {
	exit();
}

include_once ($jieqiModules["article"]["path"] . "/class/draft.php");
$draft_handler = &JieqiDraftHandler::getInstance("JieqiDraftHandler");
$newDraft = $draft_handler->create();
$draftsize = strlen(preg_replace("/\s/", "", $_POST["chaptercontent"]));
$newDraft->setVar("articleid", $_POST["articleid"]);
$newDraft->setVar("articlename", $_POST["articlename"]);
$newDraft->setVar("isvip", intval($_POST["isvip"]));

if (!empty($_SESSION["jieqiUserId"])) {
	$newDraft->setVar("posterid", $_SESSION["jieqiUserId"]);
	$newDraft->setVar("poster", $_SESSION["jieqiUserName"]);
}
else {
	$newDraft->setVar("posterid", 0);
	$newDraft->setVar("poster", "");
}

$newDraft->setVar("postdate", JIEQI_NOW_TIME);
$newDraft->setVar("lastupdate", JIEQI_NOW_TIME);

if ($_POST["uptiming"] == 1) {
	$newDraft->setVar("ispub", 1);
	$newDraft->setVar("pubdate", $_POST["pubtime"]);
}
else {
	$newDraft->setVar("ispub", 0);
	$newDraft->setVar("pubdate", 0);
}

$newDraft->setVar("chaptername", $_POST["chaptername"]);
$newDraft->setVar("chaptercontent", $_POST["chaptercontent"]);
$newDraft->setVar("size", $draftsize);

if (!isset($customprice)) {
	$customprice = false;
}

if (!isset($_POST["saleprice"]) || !is_numeric($_POST["saleprice"])) {
	$_POST["saleprice"] = -1;
}
else {
	$_POST["saleprice"] = intval($_POST["saleprice"]);
	if (($_POST["saleprice"] < 0) || ((0 < $_POST["saleprice"]) && !$customprice)) {
		$_POST["saleprice"] = -1;
	}
}

if ($_POST["isvip"] <= 0) {
	$_POST["saleprice"] = -1;
}

$newDraft->setVar("saleprice", $_POST["saleprice"]);
$newDraft->setVar("note", "");

if (!$needupaudit) {
	$newDraft->setVar("display", 1);
}
else {
	$newDraft->setVar("display", 0);
}

if (!$draft_handler->insert($newDraft)) {
	jieqi_printfail($jieqiLang["article"]["draft_add_failure"]);
}
else if (!empty($_POST["draftid"])) {
	$draft_handler->delete(intval($_POST["draftid"]));
}

?>
