<?php

define("JIEQI_MODULE_NAME", "news");

if (!defined("JIEQI_GLOBAL_INCLUDE")) {
	include_once ("../../global.php");
}

jieqi_getconfigs(JIEQI_MODULE_NAME, "configs");
jieqi_loadlang("body", JIEQI_MODULE_NAME);
include_once (JIEQI_ROOT_PATH . "/header.php");
include_once ($jieqiModules[JIEQI_MODULE_NAME]["path"] . "/class/topic.php");
include_once ($jieqiModules[JIEQI_MODULE_NAME]["path"] . "/class/category.php");
include_once ($jieqiModules[JIEQI_MODULE_NAME]["path"] . "/include/formcheck.php");
if (empty($_GET["page"]) || !is_numeric($_GET["page"])) {
	$GLOBALS["_GET"]["page"] = 1;
}

jieqi_getconfigs(JIEQI_MODULE_NAME, "newslistblocks", "jieqiBlocks");
$GLOBALS["_GET"]["pid"] = ($_GET["pid"] ? $_GET["pid"] : 0);
$GLOBALS["_GET"]["cid"] = ($_GET["cid"] ? $_GET["cid"] : 0);
$cache_id = "temp-f" . $_GET["pid"] . "-s" . $_GET["cid"];
$page_id = $cache_id;
$cache_id .= "-p" . $_GET["page"];
$content_used_cache = false;
$jieqi_contents_template = $jieqiModules["news"]["path"] . "/templates/newslist.html";
$jieqi_contents_cacheid = "temp-f" . $_GET["pid"] . "-s" . $_GET["cid"];
$page_id = $jieqi_contents_cacheid;
$jieqi_contents_cacheid .= "-p" . $_GET["page"];
if (JIEQI_USE_CACHE && ($_GET["page"] <= $jieqiConfigs[JIEQI_MODULE_NAME]["newslistcache"])) {
	jieqi_getcachevars(JIEQI_MODULE_NAME, "newsuplog");

	if (!is_array($jieqiNewsuplog)) {
		$jieqiNewsuplog = array("t1" => 0, "t2" => 0);
	}

	$uptime = ($jieqiNewsuplog["t2"] < $jieqiNewsuplog["t1"] ? $jieqiNewsuplog["t1"] : $jieqiNewsuplog["t2"]);
	$cachedtime = $jieqiTpl->get_cachedtime($jieqi_contents_template, $jieqi_contents_cacheid);
	if (($uptime < $cachedtime) && ((JIEQI_NOW_TIME - $cachedtime) < JIEQI_CACHE_LIFETIME)) {
		$content_used_cache = true;
	}

	if (!$content_used_cache) {
		$jieqiTpl->update_cachedtime($jieqi_contents_template, $jieqi_contents_cacheid);
		$jieqiTpl->setcaching(2);
	}
	else {
		$jieqiTpl->setcaching(1);
	}

	$jieqiTpl->setcachetime(99999999);
}
else {
	$jieqiTpl->setcaching(0);
}

if (!$content_used_cache) {
	$category_handler = &jieqicategoryhandler::getinstance("JieqiCategoryHandler");
	$category_query = jieqiqueryhandler::getinstance("JieqiQueryHandler");
	$jieqiTpl->assign("nav_list", $category_handler->jieqinavigationbar($_GET["pid"], $_GET["cid"]));
	$topic_handler = jieqinewstopichandler::getinstance("JieqiNewsTopicHandler");

	if ($_REQUEST["page"] < 1) {
		$GLOBALS["_REQUEST"]["page"] = 1;
	}

	if ($_GET["pid"]) {
		$category_where = " AND firstid = '" . jieqi_dbslashes($_GET["pid"]) . "' ";
	}

	if ($_GET["cid"]) {
		$category_where .= " AND secondid = '" . jieqi_dbslashes($_GET["cid"]) . "' ";
	}

	$category_sql = "SELECT * FROM jieqi_news_topic t LEFT JOIN jieqi_news_category c ON (t.secondid = c.categoryid) WHERE newsstatus=1" . $category_where . "ORDER BY newsputtop DESC, newsid DESC LIMIT " . (($_REQUEST["page"] - 1) * $jieqiConfigs[JIEQI_MODULE_NAME]["newslistpnum"]) . " , " . $jieqiConfigs[JIEQI_MODULE_NAME]["newslistpnum"];
	$category_obj = $category_query->execute($category_sql);
	$news_array = array();
	$i = 0;

	while ($v = $category_query->getobject($category_obj)) {
		$news_array[$i]["category"] = $v->getvar("categoryname");
		$news_array[$i]["title"] = jieqi_substr($v->getvar("newstitle"), 0, $jieqiConfigs[JIEQI_MODULE_NAME]["newslistword"], "...");

		if ($v->getvar("newsimage")) {
			$news_array[$i]["title"] .= "[" . $jieqiLang[JIEQI_MODULE_NAME]["title_icon_image"] . "]";
		}

		if ($v->getvar("newsputtop")) {
			$news_array[$i]["title"] .= "[" . $jieqiLang[JIEQI_MODULE_NAME]["title_icon_top"] . "]";
		}

		$news_array[$i]["summary"] = str_replace(array("\r", "\n", "&lt;p&gt;", "&lt;/p&gt;", "&amp;nbsp;", "<br />"), "", $v->getvar("newssummary", "n"));
		$news_array[$i]["author"] = $v->getvar("newsauthor");
		$news_array[$i]["poster"] = $v->getvar("newsposter");
		$news_array[$i]["click"] = $v->getvar("newsclick");
		$news_array[$i]["date"] = $v->getvar("newsdate");
		$news_array[$i]["url"] = "newshow.php?id=" . $v->getvar("newsid");
		++$i;
	}

	$jieqiTpl->assign("news_list", $news_array);
	include_once (JIEQI_ROOT_PATH . "/lib/html/page.php");
	$category_sql = "SELECT COUNT(newsid) FROM jieqi_news_topic";
	$category_obj = mysql_query($category_sql);
	$category_row = mysql_fetch_row($category_obj);

	if (JIEQI_USE_CACHE) {
		jieqi_getcachevars(JIEQI_MODULE_NAME, "newslistlog");

		if (!is_array($jieqiNewslistlog)) {
			$jieqiNewslistlog = array();
		}

		if (!isset($jieqiNewslistlog[$page_id]) && (JIEQI_CACHE_LIFETIME < (JIEQI_NOW_TIME - $jieqiNewslistlog[$page_id]["time"]))) {
			$jieqiNewslistlog[$page_id] = array("rows" => $category_row[0], "time" => JIEQI_NOW_TIME);
			jieqi_setcachevars("newslistlog", "jieqiNewslistlog", $jieqiNewslistlog, JIEQI_MODULE_NAME);
		}

		$toplistrows = $jieqiNewslistlog[$page_id]["rows"];
	}
	else {
		$toplistrows = $category_row[0];
	}

	$jumppage = new jieqipage($toplistrows, $jieqiConfigs[JIEQI_MODULE_NAME]["newslistpnum"], $_GET["page"]);
	$jieqiTpl->assign("url_jumppage", $jumppage->whole_bar());
	$jieqiTpl->assign("iconpath", $jieqiModules[JIEQI_MODULE_NAME]["url"] . "/images/");
}

$jieqiTset["jieqi_contents_template"] = $jieqiModules[JIEQI_MODULE_NAME]["path"] . "/templates/newslist.html";
$jieqiTset["jieqi_contents_cacheid"] = $cache_id;
include_once (JIEQI_ROOT_PATH . "/footer.php");

?>
