<?php

define("JIEQI_MODULE_NAME", "obook");
require_once ("../../global.php");
jieqi_getconfigs("article", "power");
jieqi_checkpower($jieqiPower["article"]["authorpanel"], $jieqiUsersStatus, $jieqiUsersGroup, false);
jieqi_getconfigs("article", "configs");
jieqi_getconfigs("obook", "configs");
jieqi_getconfigs("article", "sort");
jieqi_getconfigs("system", "sites", "jieqiSites");
jieqi_getconfigs("article", "option", "jieqiOption");
jieqi_getconfigs("obook", "export", "jieqiExport");
$jieqiTset["jieqi_contents_template"] = $jieqiModules["obook"]["path"] . "/templates/mreport.html";
include_once (JIEQI_ROOT_PATH . "/header.php");
$obook_static_url = (empty($jieqiConfigs["obook"]["staticurl"]) ? $jieqiModules["obook"]["url"] : $jieqiConfigs["obook"]["staticurl"]);
$obook_dynamic_url = (empty($jieqiConfigs["obook"]["dynamicurl"]) ? $jieqiModules["obook"]["url"] : $jieqiConfigs["obook"]["dynamicurl"]);
$jieqiTpl->assign("obook_static_url", $obook_static_url);
$jieqiTpl->assign("obook_dynamic_url", $obook_dynamic_url);

if (jieqi_getconfigs("article", "configs")) {
	$article_static_url = (empty($jieqiConfigs["article"]["staticurl"]) ? $jieqiModules["article"]["url"] : $jieqiConfigs["article"]["staticurl"]);
	$article_dynamic_url = (empty($jieqiConfigs["article"]["dynamicurl"]) ? $jieqiModules["article"]["url"] : $jieqiConfigs["article"]["dynamicurl"]);
	$jieqiTpl->assign("article_static_url", $article_static_url);
	$jieqiTpl->assign("article_dynamic_url", $article_dynamic_url);
}

if (2 <= floatval(JIEQI_VERSION)) {
	$customsites = array();

	foreach ($jieqiSites as $k => $v ) {
		if (!empty($v["custom"])) {
			$customsites[$k] = $v;
		}
	}

	$jieqiTpl->assign("customsites", jieqi_funtoarray("jieqi_htmlstr", $customsites));
	$jieqiTpl->assign("customsitenum", count($customsites));
	$jieqiTpl->assign("jieqisites", jieqi_funtoarray("jieqi_htmlstr", $jieqiSites));
}

$date = date('Y年m月d日 H时',time());
$dyear = date("Y", time());
$emonth = date("m", time());
$yearmonth = date("Ym", time());

if ($emonth == 1) {
	$dmonth = 12;
}
else {
	$dmonth = $emonth - 1;
}

$rmonthrows = array();
$q = 0;

for ($a = 0; $a < 12; $a++) {
	$rmonthrows[$q] = $a + 1;
	$q++;
}

foreach ($rmonthrows as $k => $v ) {
	$rmonthrows[$k] = sprintf("%02d", $v);
}

$jieqiTpl->assign("rmonthrows", jieqi_funtoarray("jieqi_htmlstr", $rmonthrows));
$ryearrows = array();
$j = 0;

for ($i = $dyear - 10; $i < $dyear; $i++) {
	$ryearrows[$j] = $i + 1;
	$j++;
}

foreach ($ryearrows as $k => $v ) {
	$ryearrows[$k] = $v;
}

$jieqiTpl->assign("ryearrows", jieqi_funtoarray("jieqi_htmlstr", $ryearrows));
$jieqiPset = jieqi_get_pageset();
jieqi_includedb();
$query = JieqiQueryHandler::getInstance("JieqiQueryHandler");
$slimit = "1";

if (!empty($_REQUEST["obookname"])) {
	$slimit .= " AND a.obookname =  '" . jieqi_dbslashes($_REQUEST["obookname"]) . "'";
}

if (!empty($_REQUEST["startyear"]) && !empty($_REQUEST["startmonth"]) && !empty($_REQUEST["endyear"]) && !empty($_REQUEST["endmonth"])) {
	$starttime = $_REQUEST["startyear"] . $_REQUEST["startmonth"];
	$endtime = $_REQUEST["endyear"] . $_REQUEST["endmonth"];
	$slimit .= " AND a.time >='" . $starttime . "' AND a.time <= '" . $endtime . "'";
}
else {
	$slimit .= " AND a.time ='" . $yearmonth . "'";
}

$sql = "SELECT a.*, b.obookid, c.* FROM " . jieqi_dbprefix("obook_mreport") . " a LEFT JOIN " . jieqi_dbprefix("obook_obook") . " b ON a.articleid = b.articleid LEFT JOIN " . jieqi_dbprefix("system_persons") . " c ON b.posterid = c.uid WHERE $slimit AND b.posterid = {$_SESSION["jieqiUserId"]} ORDER BY a.id DESC LIMIT {$jieqiPset["start"]},{$jieqiPset["rows"]}";
$query->execute($sql);
$mreportrows = array();
$k = 0;

while ($row = $query->getRow()) {
	$mreportrows[$k] = jieqi_query_rowvars($row);

	if (!empty($mreportrows[$k]["divided"])) {
		$mreportrows[$k]["intosale"] = intval($mreportrows[$k]["allsale"] * ($mreportrows[$k]["divided"] / 100));
		$mreportrows[$k]["wwwsale"] = $mreportrows[$k]["allsale"] - $mreportrows[$k]["intosale"];
		$mreportrows[$k]["sumemoney"] = intval($mreportrows[$k]["sumemoney"] - $mreportrows[$k]["wwwsale"]);
	}
	else {
		$mreportrows[$k]["intosale"] = $mreportrows[$k]["allsale"];
	}

	$k++;
}

$jieqiTpl->assign_by_ref("mreportrows", $mreportrows);
$jieqiTpl->assign("_request", jieqi_funtoarray("jieqi_htmlstr", $_REQUEST));
include_once (JIEQI_ROOT_PATH . "/lib/html/page.php");
$sqls = "SELECT * FROM " . jieqi_dbprefix("system_persons") . " WHERE uid = {$_SESSION["jieqiUserId"]}";
$query->execute($sqls);
$rows = $query->getRow();
$sql = "SELECT b.*, count(*) AS cot, sum(allsale) as sumegold, sum(sumtip) as sumtip, sum(sumgift) as sumgift, sum(sumhurry) as sumhurry, sum(sumemoney) as sumemoney FROM " . jieqi_dbprefix("obook_mreport") . " a LEFT JOIN " . jieqi_dbprefix("article_article") . " b ON a.articleid = b.articleid WHERE $slimit AND b.posterid = {$_SESSION["jieqiUserId"]}";
$query->execute($sql);
$row = $query->getRow();
$row["sumegold"] = $row["sumegold"] * ($rows["divided"] / 100);
$jieqiTpl->assign("mreportstat", jieqi_funtoarray("jieqi_htmlstr", $row));
$jieqiPset["count"] = intval($row["cot"]);
$jumppage = new JieqiPage($jieqiPset);
$jieqiTpl->assign("url_jumppage", $jumppage->whole_bar());
$jieqiTpl->assign("dyear", $dyear);
$jieqiTpl->assign("dmonth", $dmonth);
$jieqiTpl->setCaching(0);
include_once (JIEQI_ROOT_PATH . "/footer.php");

?>
