<?php

@define("JIEQI_MODULE_NAME", "pay");
@define("JIEQI_PAY_TYPE", "alipay");
require_once ("../../global.php");
jieqi_loadlang("pay", "pay");

if (!jieqi_checklogin(true)) {
	jieqi_printfail($jieqiLang["pay"]["need_login"]);
}

jieqi_getconfigs("pay", JIEQI_PAY_TYPE, "jieqiPayset");
include ($jieqiModules["pay"]["path"] . "/include/paystart.php");
$urlvars = array();
$urlvars["service"] = $jieqiPayset[JIEQI_PAY_TYPE]["service"];
$urlvars["partner"] = $jieqiPayset[JIEQI_PAY_TYPE]["payid"];
$urlvars["return_url"] = $jieqiPayset[JIEQI_PAY_TYPE]["payreturn"];
$urlvars["notify_url"] = $jieqiPayset[JIEQI_PAY_TYPE]["notify_url"];
$urlvars["_input_charset"] = $jieqiPayset[JIEQI_PAY_TYPE]["_input_charset"];
$urlvars["subject"] = (empty($jieqiPayset[JIEQI_PAY_TYPE]["subject"]) ? JIEQI_EGOLD_NAME : $jieqiPayset[JIEQI_PAY_TYPE]["subject"]);
$urlvars["out_trade_no"] = $paylog->getVar("payid");
$urlvars["total_fee"] = $_REQUEST["amount"];
$urlvars["payment_type"] = $jieqiPayset[JIEQI_PAY_TYPE]["payment_type"];
$urlvars["show_url"] = $jieqiPayset[JIEQI_PAY_TYPE]["show_url"];
$urlvars["seller_email"] = $jieqiPayset[JIEQI_PAY_TYPE]["seller_email"];
ksort($urlvars);
reset($urlvars);
$sign = "";
$query = "";

foreach ($urlvars as $k => $v ) {
	if (!empty($sign)) {
		$sign .= "&";
	}

	$sign .= $k . "=" . $v;

	if (!empty($query)) {
		$query .= "&";
	}

	$query .= $k . "=" . urlencode($v);
}

$sign = md5($sign . $jieqiPayset[JIEQI_PAY_TYPE]["paykey"]);
$query .= "&sign_type=" . $jieqiPayset[JIEQI_PAY_TYPE]["sign_type"] . "&sign=" . $sign;
$query = $jieqiPayset[JIEQI_PAY_TYPE]["payurl"] . "?" . $query;
include_once (JIEQI_ROOT_PATH . "/header.php");
$jieqiTpl->assign("url_pay", $query);
$jieqiTset["jieqi_page_template"] = $jieqiModules["pay"]["path"] . "/templates/alipay.html";
$jieqiTpl->setCaching(0);
include_once (JIEQI_ROOT_PATH . "/footer.php");

?>
