<?php

class AlipaySubmit
{
	public $alipay_config;
	/**
	 *鏀粯瀹濈綉鍏冲湴鍧EUR锛堟柊锛?
	 */
	public $alipay_gateway_new = "https://mapi.alipay.com/gateway.do?";

	public function __construct($alipay_config)
	{
		$this->alipay_config = $alipay_config;
	}

	public function AlipaySubmit($alipay_config)
	{
		$this->__construct($alipay_config);
	}

	/**
	 * 鐢熸垚绛惧悕缁撴灉
	 * @param $para_sort 宸叉帓搴忚绛惧悕镄勬暟缁?
	 * return 绛惧悕缁撴灉瀛楃涓?
	 */
	public function buildRequestMysign($para_sort)
	{
		$prestr = createLinkstring($para_sort);
		$mysign = "";

		switch (strtoupper(trim($this->alipay_config["sign_type"]))) {
		case "MD5":
			$mysign = md5Sign($prestr, $this->alipay_config["key"]);
			break;

		default:
			$mysign = "";
		}

		return $mysign;
	}

	/**
     * 鐢熸垚瑕佽姹傜粰鏀粯瀹濈殑鍙傛暟鏁扮粍
     * @param $para_temp 璇锋眰鍓岖殑鍙傛暟鏁扮粍
     * @return 瑕佽姹傜殑鍙傛暟鏁扮粍
     */
	public function buildRequestPara($para_temp)
	{
		$para_filter = paraFilter($para_temp);
		$para_sort = argSort($para_filter);
		$mysign = $this->buildRequestMysign($para_sort);
		$para_sort["sign"] = $mysign;
		$para_sort["sign_type"] = strtoupper(trim($this->alipay_config["sign_type"]));
		return $para_sort;
	}

	/**
     * 鐢熸垚瑕佽姹傜粰鏀粯瀹濈殑鍙傛暟鏁扮粍
     * @param $para_temp 璇锋眰鍓岖殑鍙傛暟鏁扮粍
     * @return 瑕佽姹傜殑鍙傛暟鏁扮粍瀛楃涓?
     */
	public function buildRequestParaToString($para_temp)
	{
		$para = $this->buildRequestPara($para_temp);
		$request_data = createLinkstringUrlencode($para);
		return $request_data;
	}

	/**
     * 寤虹珛璇锋眰锛屼互琛ㄥ崟HTML褰㈠纺鏋勯EUR狅纸榛樿锛?
     * @param $para_temp 璇锋眰鍙傛暟鏁扮粍
     * @param $method 鎻愪氦鏂瑰纺銆备袱涓EUR煎彲阃夛细post銆乬et
     * @param $button_name 纭鎸夐挳鏄剧ず鏂囧瓧
     * @return 鎻愪氦琛ㄥ崟HTML鏂囨湰
     */
	public function buildRequestForm($para_temp, $method, $button_name)
	{
		$para = $this->buildRequestPara($para_temp);
		$sHtml = "<form id='alipaysubmit' name='alipaysubmit' action='" . $this->alipay_gateway_new . "_input_charset=" . trim(strtolower($this->alipay_config["input_charset"])) . "' method='" . $method . "'>";

		while (list($key, $val) = each($para)) {
			$sHtml .= "<input type='hidden' name='" . $key . "' value='" . $val . "'/>";
		}

		$sHtml = $sHtml . "<input type='submit'  value='" . $button_name . "' style='display:none;'></form>";
		$sHtml = $sHtml . "<script>document.forms['alipaysubmit'].submit();</script>";
		return $sHtml;
	}

	/**
     * 鐢ㄤ簬阒查挀楸硷紝璋幂敤鎺ュ彛query_timestamp鏉ヨ幏鍙栨椂闂存埑镄勫鐞嗗嚱鏁?
	 * 娉ㄦ剰锛氲锷熻兘PHP5鐜鍙娄互涓婃敮鎸侊紝锲犳蹇呴』链嶅姟鍣ㄣEUR佹湰鍦扮数鑴戜腑瑁呮湁鏀寔DOMDocument銆丼SL镄凯HP閰岖疆鐜銆傚缓璁湰鍦拌皟璇曟椂浣跨敤PHP寮EUR鍙戣蒋浠?
     * return 镞堕棿鎴冲瓧绗︿覆
	 */
	public function query_timestamp()
	{
		$url = $this->alipay_gateway_new . "service=query_timestamp&partner=" . trim(strtolower($this->alipay_config["partner"])) . "&_input_charset=" . trim(strtolower($this->alipay_config["input_charset"]));
		$encrypt_key = "";
		$doc = new DOMDocument();
		$doc->load($url);
		$itemEncrypt_key = $doc->getElementsByTagName("encrypt_key");
		$encrypt_key = $itemEncrypt_key->item(0)->nodeValue;
		return $encrypt_key;
	}
}

require_once ("alipay_core.function.php");
require_once ("alipay_md5.function.php");

?>
