<?php

define("JIEQI_MODULE_NAME", "pay");
define("JIEQI_PAY_TYPE", "vnetone");
require_once ("../../global.php");
jieqi_loadlang("pay", JIEQI_MODULE_NAME);
jieqi_getconfigs(JIEQI_MODULE_NAME, JIEQI_PAY_TYPE, "jieqiPayset");
$spid = $jieqiPayset[JIEQI_PAY_TYPE]["payid"];
$sppwd = $jieqiPayset[JIEQI_PAY_TYPE]["paykey"];
$rtmd5 = $_GET["v1"];
$trka = $_GET["v2"];
$rtmi = $_GET["v3"];
$rtmz = $_GET["v4"];
$rtlx = $_GET["v5"];
$rtoid = $_GET["v6"];
$rtcoid = $_GET["v7"];
$rtuserid = $_GET["v8"];
$rtcustom = $_GET["v9"];
$rtflag = $_GET["v10"];
$get_key = strtoupper(md5($trka . $rtmi . $rtoid . $spid . $sppwd . $rtcoid . $rtflag . $rtmz));
if (($rtflag != 1) && ($rtflag != 2)) {
	jieqi_printfail(sprintf($jieqiLang["pay"]["pay_failure_message"], ""));
}
else if ($rtmd5 != $get_key) {
	jieqi_printfail($jieqiLang["pay"]["return_checkcode_error"]);
}
else {
	include_once ($jieqiModules["pay"]["path"] . "/class/paylog.php");
	$paylog_handler = JieqiPaylogHandler::getInstance("JieqiPaylogHandler");
	$orderid = intval($rtcoid);
	$paylog = $paylog_handler->get($orderid);

	if (is_object($paylog)) {
		$buyname = $paylog->getVar("buyname");
		$buyid = $paylog->getVar("buyid");
		$payflag = $paylog->getVar("payflag");
		$egold = $paylog->getVar("egold");
		$money = $paylog->getVar("money");

		if ($rtmz != $money) {
			jieqi_printfail($jieqiLang["pay"]["return_checkcode_error"]);
		}

		header("Data-Received:ok_vpay8");

		if ($payflag == 0) {
			include_once (JIEQI_ROOT_PATH . "/class/users.php");
			$users_handler = &JieqiUsersHandler::getInstance("JieqiUsersHandler");
			$uservip = 1;
			$ret = $users_handler->income($buyid, $egold, $jieqiPayset[JIEQI_PAY_TYPE]["paysilver"], $jieqiPayset[JIEQI_PAY_TYPE]["payscore"][$egold], $uservip);

			if ($ret) {
				$note = sprintf($jieqiLang["pay"]["add_egold_success"], $buyname, JIEQI_EGOLD_NAME, $egold);
			}
			else {
				$note = sprintf($jieqiLang["pay"]["add_egold_failure"], $buyid, $buyname, JIEQI_EGOLD_NAME, $egold);
			}

			$paylog->setVar("rettime", JIEQI_NOW_TIME);
			$paylog->setVar("retserialno", $rtoid);
			$paylog->setVar("retaccount", $trka);
			$paylog->setVar("retinfo", $rtmi);
			$paylog->setVar("egold", $egold);
			$paylog->setVar("money", $rtmz);
			$paylog->setVar("note", $note);
			$paylog->setVar("payflag", 1);

			if (!$paylog_handler->insert($paylog)) {
				jieqi_printfail($jieqiLang["pay"]["save_paylog_failure"]);
			}
			else {
				jieqi_msgwin(LANG_DO_SUCCESS, sprintf($jieqiLang["pay"]["buy_egold_success"], $buyname, JIEQI_EGOLD_NAME, $egold));
			}
		}
		else {
			jieqi_msgwin(LANG_DO_SUCCESS, sprintf($jieqiLang["pay"]["buy_egold_success"], $buyname, JIEQI_EGOLD_NAME, $egold));
		}
	}
	else {
		jieqi_printfail($jieqiLang["pay"]["no_buy_record"]);
	}
}

?>
